<?php
// $Id: make_adm_menu.inc.php 5140 2012-04-11 15:02:10Z calicant $

// i moduli statici
$elenco_moduli = array(
); // static_menu

// i moduli statici della parte amministrativa
$elenco_moduli_admin = array(
);

// moduli gia' presenti ma per una qualche ragione da non mostrare a menu
$unwanted_moduli = array(
    "fckeditor",
    "security",
    "core",
    "paper",
    "webservices",
    "menu"
);

// si cercano i moduli "dinamici" presenti

$moduledir = "../modules";
$handle = opendir($moduledir);

while (false !== ($file = readdir($handle)))
    if (!ereg('^\.', $file) && is_dir($moduledir . "/" . $file) && !ereg('^CVS', $file) && !in_array($file, $unwanted_moduli)) {

    $module_name = '';
    $module_info_file = "../modules/" . $file . "/inc/module_info.inc.php";
    if (file_exists($module_info_file)) {
        include($module_info_file);
        $module_name = $priscilla_module_info[$file][$lang];
    }

    if ($module_name == '')
        $module_name = $file;
        if ($priscilla_module_info[$file]['type'] == 'tool')
            $elenco_moduli[strtoupper($module_name)] = $file;
        else if ($priscilla_module_info[$file]['type'] == 'admin')
            $elenco_moduli_admin[strtoupper($module_name)] = $file;
}
closedir($handle);



?>
