-- MySQL dump 10.13  Distrib 5.1.61, for debian-linux-gnu (i686)
--
-- Host: mano    Database: priscilla3
-- ------------------------------------------------------
-- Server version	5.1.61-0ubuntu0.10.10.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `allegati`
--

DROP TABLE IF EXISTS `allegati`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `allegati` (
  `id_allegato` mediumint(4) NOT NULL AUTO_INCREMENT,
  `id_user` varchar(64) NOT NULL DEFAULT '',
  `nome` varchar(64) NOT NULL DEFAULT '',
  `gruppo` varchar(254) NOT NULL DEFAULT '',
  `tipo` varchar(64) NOT NULL DEFAULT '',
  `size` int(9) NOT NULL DEFAULT '0',
  `description` varchar(254) NOT NULL DEFAULT '',
  `code` varchar(5) NOT NULL DEFAULT '',
  `hits` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_allegato`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `allegati_config`
--

DROP TABLE IF EXISTS `allegati_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `allegati_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `aname` varchar(16) NOT NULL DEFAULT '',
  `extension` varchar(254) NOT NULL DEFAULT '',
  `maxsize` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `catalogo`
--

DROP TABLE IF EXISTS `catalogo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `catalogo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(254) NOT NULL DEFAULT '',
  `descrizione` varchar(254) NOT NULL DEFAULT '',
  `method` enum('perc','fix') NOT NULL DEFAULT 'fix',
  `width_mini` int(11) NOT NULL DEFAULT '0',
  `width_medium` int(11) NOT NULL DEFAULT '0',
  `width_large` int(11) NOT NULL DEFAULT '0',
  `popup` enum('si','no') NOT NULL DEFAULT 'si',
  `popuptype` enum('notpl','tpl') NOT NULL DEFAULT 'notpl',
  `popupimg` enum('mini','medium','large') NOT NULL DEFAULT 'medium',
  `ord` varchar(64) NOT NULL DEFAULT '',
  `rowXTemplate` tinyint(4) NOT NULL DEFAULT '0',
  `colXTemplate` tinyint(4) NOT NULL DEFAULT '0',
  `template` text NOT NULL,
  `templatepop` text NOT NULL,
  `id_user` varchar(255) DEFAULT NULL,
  `lang` varchar(20) NOT NULL DEFAULT '',
  `height_mini` int(11) NOT NULL DEFAULT '0',
  `height_medium` int(11) NOT NULL DEFAULT '0',
  `height_large` int(11) NOT NULL DEFAULT '0',
  `ordtype` varchar(4) NOT NULL DEFAULT 'asc',
  `look` varchar(64) NOT NULL DEFAULT '',
  `popbgcolor` varchar(32) NOT NULL DEFAULT '',
  `poptxtcolor` varchar(32) NOT NULL DEFAULT '',
  `popmargini` smallint(4) NOT NULL DEFAULT '0',
  `popwidth` int(11) NOT NULL DEFAULT '0',
  `popheight` int(11) NOT NULL DEFAULT '0',
  `popstyle` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `catalogo_content`
--

DROP TABLE IF EXISTS `catalogo_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `catalogo_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gid` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `id_image` int(11) NOT NULL DEFAULT '0',
  `content_visible` tinyint(1) NOT NULL DEFAULT '0',
  `da` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `a` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `titolo` varchar(255) DEFAULT NULL,
  `descrizione` text,
  `datona` date DEFAULT NULL,
  `abstract` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `catalogo_fields`
--

DROP TABLE IF EXISTS `catalogo_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `catalogo_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL,
  `id_catalogo` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `catalogo_immagini`
--

DROP TABLE IF EXISTS `catalogo_immagini`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `catalogo_immagini` (
  `id_image` mediumint(4) NOT NULL AUTO_INCREMENT,
  `nome` varchar(64) NOT NULL DEFAULT '',
  `id_user` varchar(64) NOT NULL DEFAULT '',
  `alt` varchar(255) NOT NULL DEFAULT '',
  `longdesc` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `align` varchar(14) NOT NULL DEFAULT '',
  `hspace` tinyint(4) NOT NULL DEFAULT '0',
  `vspace` tinyint(4) NOT NULL DEFAULT '0',
  `border` tinyint(2) NOT NULL DEFAULT '0',
  `height` smallint(6) NOT NULL DEFAULT '0',
  `width` smallint(6) NOT NULL DEFAULT '0',
  `gid` int(11) NOT NULL DEFAULT '0',
  `visible` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_image`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `community`
--

DROP TABLE IF EXISTS `community`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `community` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL DEFAULT '',
  `descrizione` text NOT NULL,
  `proprietario` varchar(32) NOT NULL DEFAULT '',
  `lingua` varchar(22) NOT NULL DEFAULT '',
  `idperrore` int(11) NOT NULL DEFAULT '0',
  `sendmailatreg` tinyint(1) NOT NULL DEFAULT '0',
  `datatonic_community` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `community_nodes`
--

DROP TABLE IF EXISTS `community_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `community_nodes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idp` int(11) NOT NULL DEFAULT '0',
  `idc` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `community_userFields`
--

DROP TABLE IF EXISTS `community_userFields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `community_userFields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL DEFAULT '',
  `id_community` varchar(255) NOT NULL,
  `obbligatorio` enum('true','false') NOT NULL DEFAULT 'true',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `community_user_content`
--

DROP TABLE IF EXISTS `community_user_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `community_user_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_community` varchar(255) NOT NULL DEFAULT '0',
  `username` varchar(32) NOT NULL DEFAULT '',
  `password` varchar(32) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL,
  `activationcookie` varchar(32) DEFAULT NULL,
  `isactivestatus` enum('yes','no') DEFAULT 'no',
  `time_request` datetime DEFAULT NULL,
  `time_activation` datetime DEFAULT NULL,
  `time_remove` datetime DEFAULT NULL,
  `test_community` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `content_base`
--

DROP TABLE IF EXISTS `content_base`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `content_base` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `titolo` varchar(255) DEFAULT NULL,
  `sottotitolo` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `testo` text CHARACTER SET latin1,
  `abstract` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `core_attach`
--

DROP TABLE IF EXISTS `core_attach`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `core_attach` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `size` int(9) NOT NULL DEFAULT '0',
  `code` varchar(5) NOT NULL DEFAULT '',
  `hits` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `core_image`
--

DROP TABLE IF EXISTS `core_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `core_image` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `alt` varchar(255) NOT NULL DEFAULT '',
  `longdesc` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `align` varchar(14) NOT NULL DEFAULT '',
  `hspace` tinyint(4) NOT NULL DEFAULT '0',
  `vspace` tinyint(4) NOT NULL DEFAULT '0',
  `border` tinyint(2) NOT NULL DEFAULT '0',
  `height` smallint(6) NOT NULL DEFAULT '0',
  `width` smallint(6) NOT NULL DEFAULT '0',
  `popup` smallint(6) NOT NULL DEFAULT '0',
  `size` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `datatonic_conf`
--

DROP TABLE IF EXISTS `datatonic_conf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `datatonic_conf` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `serverpath` varchar(255) NOT NULL DEFAULT '',
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `host` varchar(255) NOT NULL,
  `dbname` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ecal_calendar`
--

DROP TABLE IF EXISTS `ecal_calendar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ecal_calendar` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data` date DEFAULT NULL,
  `categoria` varchar(255) DEFAULT NULL,
  `descrizione` text,
  `ora` time NOT NULL,
  `titolo` varchar(255) DEFAULT NULL,
  `luogo` varchar(255) DEFAULT NULL,
  `pub` enum('si','no') DEFAULT 'si',
  `data_end` date DEFAULT NULL,
  `user` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ecal_categoria_eventi`
--

DROP TABLE IF EXISTS `ecal_categoria_eventi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ecal_categoria_eventi` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `categoria` varchar(255) DEFAULT NULL,
  `priscillapage_id` int(11) DEFAULT NULL,
  `classeColoreCSS` varchar(255) DEFAULT NULL,
  `user` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `feeds`
--

DROP TABLE IF EXISTS `feeds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `feeds` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `protocollo` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `link` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `criterio` varchar(255) NOT NULL,
  `n` int(10) NOT NULL,
  `idcatpag` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `flash`
--

DROP TABLE IF EXISTS `flash`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flash` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `width` mediumint(9) DEFAULT NULL,
  `height` mediumint(9) DEFAULT NULL,
  `quality` varchar(32) NOT NULL DEFAULT '',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `id_user` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `immagini`
--

DROP TABLE IF EXISTS `immagini`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `immagini` (
  `id_image` mediumint(4) NOT NULL AUTO_INCREMENT,
  `nome` varchar(64) NOT NULL DEFAULT '',
  `id_user` varchar(64) NOT NULL DEFAULT '',
  `alt` varchar(255) NOT NULL DEFAULT '',
  `longdesc` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `align` varchar(14) NOT NULL DEFAULT '',
  `hspace` tinyint(4) NOT NULL DEFAULT '0',
  `vspace` tinyint(4) NOT NULL DEFAULT '0',
  `border` tinyint(2) NOT NULL DEFAULT '0',
  `height` smallint(6) NOT NULL DEFAULT '0',
  `width` smallint(6) NOT NULL DEFAULT '0',
  `popup` varchar(16) NOT NULL DEFAULT '0',
  `alias` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`id_image`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `links_list`
--

DROP TABLE IF EXISTS `links_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `links_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL DEFAULT '',
  `pageid` int(11) NOT NULL DEFAULT '0',
  `linktext` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  `descpos` enum('no','top','bottom','intext','left','right') NOT NULL DEFAULT 'intext',
  `type` varchar(255) NOT NULL DEFAULT '',
  `target` varchar(255) NOT NULL DEFAULT '',
  `anchor` varchar(255) NOT NULL DEFAULT '',
  `hits` int(11) NOT NULL DEFAULT '0',
  `visibility` enum('private','public') NOT NULL DEFAULT 'private',
  `owner` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `links_type`
--

DROP TABLE IF EXISTS `links_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `links_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL DEFAULT '',
  `tclass` varchar(255) NOT NULL DEFAULT 'internal',
  `description` varchar(255) NOT NULL DEFAULT '',
  `idimag` int(11) NOT NULL DEFAULT '0',
  `linkcounter` enum('yes','no') NOT NULL DEFAULT 'yes',
  `linktextclass` varchar(255) NOT NULL DEFAULT 'linktstyle',
  `descriptionclass` varchar(255) NOT NULL DEFAULT 'linkdstyle',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `menu`
--

DROP TABLE IF EXISTS `menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `exclusive` tinyint(1) NOT NULL DEFAULT '0',
  `order_field` varchar(255) NOT NULL,
  `order_dir` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `menunode`
--

DROP TABLE IF EXISTS `menunode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menunode` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_menu` int(11) NOT NULL,
  `id_node` int(11) NOT NULL,
  `exclusive` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `metaname`
--

DROP TABLE IF EXISTS `metaname`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `metaname` (
  `id` mediumint(4) NOT NULL AUTO_INCREMENT,
  `keywords` varchar(255) NOT NULL DEFAULT '',
  `dctitle` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `robots` varchar(255) NOT NULL DEFAULT '',
  `revisitafter` varchar(255) NOT NULL DEFAULT '',
  `pragma` varchar(255) NOT NULL DEFAULT '',
  `rating` varchar(255) NOT NULL DEFAULT '',
  `distribution` varchar(255) NOT NULL DEFAULT '',
  `copyright` varchar(255) NOT NULL DEFAULT '',
  `author` varchar(255) NOT NULL DEFAULT '',
  `replyto` varchar(255) NOT NULL DEFAULT '',
  `creation_date` varchar(255) NOT NULL DEFAULT '',
  `generator` varchar(255) NOT NULL DEFAULT '',
  `check_dctitle` enum('si','no') NOT NULL DEFAULT 'si',
  `check_keywords` enum('si','no') NOT NULL DEFAULT 'si',
  `check_description` enum('si','no') NOT NULL DEFAULT 'si',
  `check_robots` enum('si','no') NOT NULL DEFAULT 'no',
  `check_revisitafter` enum('si','no') NOT NULL DEFAULT 'no',
  `check_generator` enum('si','no') NOT NULL DEFAULT 'no',
  `check_pragma` enum('si','no') NOT NULL DEFAULT 'no',
  `check_rating` enum('si','no') NOT NULL DEFAULT 'no',
  `check_distribution` enum('si','no') NOT NULL DEFAULT 'no',
  `check_copyright` enum('si','no') NOT NULL DEFAULT 'no',
  `check_author` enum('si','no') NOT NULL DEFAULT 'no',
  `check_replyto` enum('si','no') NOT NULL DEFAULT 'no',
  `check_creationdate` enum('si','no') NOT NULL DEFAULT 'no',
  `refresh` varchar(255) NOT NULL DEFAULT '',
  `check_refresh` enum('si','no') NOT NULL DEFAULT 'no',
  PRIMARY KEY (`id`),
  FULLTEXT KEY `keywords` (`keywords`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `newsletter_counters`
--

DROP TABLE IF EXISTS `newsletter_counters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_counters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `yearmonth` varchar(10) NOT NULL,
  `sizesent` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `newsletter_maildata`
--

DROP TABLE IF EXISTS `newsletter_maildata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_maildata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idmailg` int(11) NOT NULL DEFAULT '0',
  `email` varchar(254) NOT NULL DEFAULT '',
  `activationcookie` varchar(32) NOT NULL DEFAULT '',
  `password` varchar(32) NOT NULL DEFAULT '',
  `isactivestatus` enum('yes','no') NOT NULL DEFAULT 'no',
  `time_request` int(11) NOT NULL DEFAULT '0',
  `time_activation` int(11) NOT NULL DEFAULT '0',
  `time_lastsent` int(11) NOT NULL DEFAULT '0',
  `nmailsent` int(11) NOT NULL DEFAULT '0',
  `nmailfailed` int(11) NOT NULL DEFAULT '0',
  `prefs` varchar(254) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `newsletter_mailgroup`
--

DROP TABLE IF EXISTS `newsletter_mailgroup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_mailgroup` (
  `gid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL DEFAULT '',
  `description` varchar(254) NOT NULL DEFAULT '',
  `user` varchar(64) NOT NULL DEFAULT '',
  `frommail` varchar(64) NOT NULL DEFAULT '',
  `nl_lastsent` int(11) NOT NULL DEFAULT '0',
  `template` text NOT NULL,
  `unsubscribemsg` text NOT NULL,
  `tagpageid` int(11) NOT NULL DEFAULT '0',
  `sending_template` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`gid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `id_parent` int(11) unsigned DEFAULT '0',
  `id_user` varchar(16) NOT NULL DEFAULT '',
  `old_id_user` varchar(16) NOT NULL DEFAULT '',
  `lastmod` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `creation` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `visite` bigint(11) unsigned DEFAULT '1',
  `sezione` varchar(255) DEFAULT NULL,
  `colore` varchar(255) NOT NULL,
  `areatematica` varchar(255) DEFAULT NULL,
  `segnalibro` varchar(255) DEFAULT NULL,
  `navigatore` varchar(255) DEFAULT NULL,
  `pubblicazione` enum('privata','redazionepriv','redazionepub','pubblica') NOT NULL DEFAULT 'pubblica',
  `da` date NOT NULL DEFAULT '0000-00-00',
  `a` date NOT NULL DEFAULT '0000-00-00',
  `community` enum('si','no') NOT NULL DEFAULT 'no',
  `rilevanza` tinyint(4) unsigned NOT NULL DEFAULT '50',
  `contenuto` varchar(255) DEFAULT NULL,
  `template` varchar(255) DEFAULT 'default.tpl',
  `stile` varchar(255) DEFAULT 'default.css',
  `url` varchar(255) DEFAULT NULL,
  `gotofirst` tinyint(1) NOT NULL DEFAULT '0',
  `permessi` tinyint(1) NOT NULL DEFAULT '0',
  `isanews` tinyint(1) NOT NULL,
  `inprimopiano` tinyint(1) NOT NULL,
  `accesskey` char(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `objlibrary`
--

DROP TABLE IF EXISTS `objlibrary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `objlibrary` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idobj` int(11) NOT NULL,
  `iduser` varchar(255) DEFAULT NULL,
  `perm` tinyint(1) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `module` varchar(255) NOT NULL,
  `filetype` varchar(255) NOT NULL,
  `objtype` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `desc` varchar(255) DEFAULT NULL,
  `tags` text NOT NULL,
  `mime` varchar(255) NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `pixsize` varchar(255) NOT NULL,
  `ext` varchar(255) NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `alias` (`alias`),
  FULLTEXT KEY `tags` (`tags`),
  FULLTEXT KEY `name` (`name`),
  FULLTEXT KEY `alias_2` (`alias`),
  FULLTEXT KEY `desc` (`desc`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `objtags`
--

DROP TABLE IF EXISTS `objtags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `objtags` (
  `tag` varchar(255) NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`tag`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ortografia_rules`
--

DROP TABLE IF EXISTS `ortografia_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ortografia_rules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `before` varchar(254) NOT NULL DEFAULT '',
  `snew` varchar(254) NOT NULL DEFAULT '',
  `status` enum('si','no') NOT NULL DEFAULT 'si',
  `id_user` varchar(64) NOT NULL DEFAULT '',
  `tipo` enum('pub','pri','prf') NOT NULL DEFAULT 'pri',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `papernode`
--

DROP TABLE IF EXISTS `papernode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `papernode` (
  `id` int(11) NOT NULL,
  `pubblica` date DEFAULT NULL,
  `ritiro` date DEFAULT NULL,
  `livello` int(11) NOT NULL DEFAULT '1',
  `areesupplementari` text NOT NULL,
  FULLTEXT KEY `areesupplementari` (`areesupplementari`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `popup`
--

DROP TABLE IF EXISTS `popup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `popup` (
  `id` smallint(6) NOT NULL DEFAULT '0',
  `didascalia` text NOT NULL,
  `bgcolor` varchar(32) NOT NULL DEFAULT '',
  `txtcolor` varchar(32) NOT NULL DEFAULT '',
  `margini` smallint(4) DEFAULT '100',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `priscilla`
--

DROP TABLE IF EXISTS `priscilla`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `priscilla` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `logo` varchar(255) NOT NULL DEFAULT '',
  `nome` varchar(255) NOT NULL,
  `login` varchar(255) NOT NULL,
  `home` varchar(255) NOT NULL,
  `contact` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `versione` varchar(255) NOT NULL,
  `importdir` text NOT NULL,
  `noattachscript` enum('yes','no') NOT NULL DEFAULT 'no',
  `default_charset` varchar(255) NOT NULL,
  `nolinkscript` enum('yes','no') NOT NULL DEFAULT 'no',
  `newslettermaxmonthsize` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `search_dat`
--

DROP TABLE IF EXISTS `search_dat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dat` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `codice` text NOT NULL,
  `content` varchar(64) DEFAULT NULL,
  `campo` text,
  `ramo` mediumint(9) DEFAULT NULL,
  `metaname` enum('si','no') NOT NULL DEFAULT 'no',
  `casesensitive` enum('si','no') NOT NULL DEFAULT 'no',
  `innerwords` enum('si','no') NOT NULL DEFAULT 'no',
  `last_keyword` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `security_failed_login`
--

DROP TABLE IF EXISTS `security_failed_login`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_failed_login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL DEFAULT '',
  `terminal` varchar(255) NOT NULL DEFAULT '',
  `host` varchar(255) NOT NULL DEFAULT '',
  `logdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `security_good_login`
--

DROP TABLE IF EXISTS `security_good_login`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_good_login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0',
  `terminal` varchar(255) NOT NULL DEFAULT '',
  `host` varchar(255) NOT NULL DEFAULT '',
  `logdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `logoutdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `security_prefs`
--

DROP TABLE IF EXISTS `security_prefs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_prefs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `security_login_captcha` int(1) DEFAULT NULL,
  `security_good_passwd` int(1) DEFAULT NULL,
  `security_force_passwd_change` int(1) DEFAULT NULL,
  `security_crypted_setup` int(1) DEFAULT NULL,
  `security_https_login` int(1) DEFAULT NULL,
  `security_passwd_expire` int(1) DEFAULT NULL,
  `security_passwd_expire_days` int(11) DEFAULT NULL,
  `security_login_log` int(1) DEFAULT NULL,
  `security_login_failed_log` int(1) DEFAULT NULL,
  `security_login_notify_user` int(1) DEFAULT NULL,
  `security_login_notify` int(1) DEFAULT NULL,
  `security_login_notify_email` varchar(255) NOT NULL,
  `security_failed_login_delay` int(1) DEFAULT NULL,
  `security_login_old_info` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tags` (
  `tag` varchar(255) NOT NULL,
  `count` int(11) NOT NULL,
  PRIMARY KEY (`tag`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `livello` tinyint(4) NOT NULL DEFAULT '2',
  `adm` enum('si','no') NOT NULL DEFAULT 'no',
  `username` varchar(16) NOT NULL DEFAULT '',
  `password` varchar(40) DEFAULT NULL,
  `nome` varchar(32) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `sospeso` enum('si','no') NOT NULL DEFAULT 'no',
  `lingua` varchar(22) NOT NULL DEFAULT 'ita',
  `skin` varchar(16) NOT NULL DEFAULT 'purple',
  `at_login` varchar(255) NOT NULL DEFAULT '',
  `menuColorPriv` varchar(16) DEFAULT 'black',
  `menuColorRedPriv` varchar(16) DEFAULT 'gray',
  `menuColorRedPub` varchar(16) DEFAULT 'silver',
  `supporto` varchar(255) NOT NULL,
  `SCND` varchar(4) NOT NULL DEFAULT '0000',
  `pupwidth` int(4) DEFAULT '760',
  `pupheight` int(4) DEFAULT '540',
  `editor` enum('n','e') DEFAULT 'n',
  `paper_panel` char(1) NOT NULL DEFAULT '1',
  `htmlLevel` enum('no','medium','high') NOT NULL DEFAULT 'high',
  `lastpasswordchange` datetime DEFAULT NULL,
  `ldap_user` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_adm`
--

DROP TABLE IF EXISTS `user_adm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_adm` (
  `id` smallint(6) NOT NULL DEFAULT '0',
  `catalogo` enum('si','no') NOT NULL DEFAULT 'no',
  `newsletter` enum('si','no') NOT NULL DEFAULT 'no',
  `thebanner` enum('si','no') NOT NULL DEFAULT 'no',
  `community` enum('si','no') NOT NULL DEFAULT 'no',
  `webservices` enum('si','no') NOT NULL DEFAULT 'no',
  `links` enum('si','no') NOT NULL DEFAULT 'no',
  `forum` enum('si','no') NOT NULL DEFAULT 'no',
  `datatonic_community` enum('si','no') NOT NULL DEFAULT 'no',
  `events` enum('si','no') NOT NULL DEFAULT 'no',
  `paper` enum('si','no') NOT NULL DEFAULT 'no',
  `priscilla_datatonic` enum('si','no') NOT NULL DEFAULT 'no',
  `pussycat` enum('si','no') NOT NULL DEFAULT 'no',
  `security` enum('si','no') NOT NULL DEFAULT 'no',
  `imagelist` enum('si','no') NOT NULL DEFAULT 'no',
  `core` enum('si','no') NOT NULL DEFAULT 'no',
  `update` enum('si','no') NOT NULL DEFAULT 'no',
  `search` enum('si','no') NOT NULL DEFAULT 'no',
  `supereditor` enum('si','no') NOT NULL DEFAULT 'no',
  `database` enum('si','no') NOT NULL DEFAULT 'no',
  `user` enum('si','no') NOT NULL DEFAULT 'no',
  `contentadmin` enum('si','no') NOT NULL DEFAULT 'no',
  `swaplang` enum('si','no') NOT NULL DEFAULT 'no',
  `feeds` enum('si','no') NOT NULL DEFAULT 'no',
  `menu` enum('si','no') NOT NULL DEFAULT 'no',
  `mercurio` enum('si','no') NOT NULL DEFAULT 'no',
  `obj` enum('si','no') NOT NULL DEFAULT 'no',
  `citybook` enum('si','no') NOT NULL DEFAULT 'no',
  `ecal` enum('si','no') NOT NULL DEFAULT 'no',
  `xmlcustom` enum('si','no') NOT NULL DEFAULT 'no',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user_map`
--

DROP TABLE IF EXISTS `user_map`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_map` (
  `id` mediumint(9) NOT NULL DEFAULT '0',
  `map_cnt` enum('si','no') NOT NULL DEFAULT 'si',
  `map_str` enum('si','no') NOT NULL DEFAULT 'si',
  `map_pub` enum('si','no') NOT NULL DEFAULT 'si',
  `map_prv` enum('si','no') NOT NULL DEFAULT 'si',
  `map_new` enum('si','no') NOT NULL DEFAULT 'si',
  `map_del` enum('si','no') NOT NULL DEFAULT 'si',
  `map_lastmod` enum('si','no') NOT NULL DEFAULT 'si',
  `map_creation` enum('si','no') NOT NULL DEFAULT 'si',
  `map_visite` enum('si','no') NOT NULL DEFAULT 'si',
  `map_rilevanza` enum('si','no') NOT NULL DEFAULT 'si',
  `map_nsons` enum('si','no') NOT NULL DEFAULT 'no',
  `map_mode` enum('0','1') NOT NULL DEFAULT '0',
  `map_tpl` enum('si','no') NOT NULL DEFAULT 'no',
  `map_css` enum('si','no') NOT NULL DEFAULT 'no',
  `map_index_type` char(1) NOT NULL DEFAULT '',
  `map_nindent` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-06-07 12:19:11
-- MySQL dump 10.13  Distrib 5.1.61, for debian-linux-gnu (i686)
--
-- Host: mano    Database: priscilla3
-- ------------------------------------------------------
-- Server version	5.1.61-0ubuntu0.10.10.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `priscilla`
--

DROP TABLE IF EXISTS `priscilla`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `priscilla` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `logo` varchar(255) NOT NULL DEFAULT '',
  `nome` varchar(255) NOT NULL,
  `login` varchar(255) NOT NULL,
  `home` varchar(255) NOT NULL,
  `contact` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `versione` varchar(255) NOT NULL,
  `importdir` text NOT NULL,
  `noattachscript` enum('yes','no') NOT NULL DEFAULT 'no',
  `default_charset` varchar(255) NOT NULL,
  `nolinkscript` enum('yes','no') NOT NULL DEFAULT 'no',
  `newslettermaxmonthsize` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `priscilla`
--

LOCK TABLES `priscilla` WRITE;
/*!40000 ALTER TABLE `priscilla` DISABLE KEYS */;
INSERT INTO `priscilla` VALUES (1,'','Powered by Priscilla','login.php','.','helpdesk@plasticjumper.it','http://www.priscillacms.org/','0.4.0.0','/var/www/riccardo/priscilla3/attach/__import__','no','utf-8','no',0);
/*!40000 ALTER TABLE `priscilla` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_prefs`
--

DROP TABLE IF EXISTS `security_prefs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_prefs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `security_login_captcha` int(1) DEFAULT NULL,
  `security_good_passwd` int(1) DEFAULT NULL,
  `security_force_passwd_change` int(1) DEFAULT NULL,
  `security_crypted_setup` int(1) DEFAULT NULL,
  `security_https_login` int(1) DEFAULT NULL,
  `security_passwd_expire` int(1) DEFAULT NULL,
  `security_passwd_expire_days` int(11) DEFAULT NULL,
  `security_login_log` int(1) DEFAULT NULL,
  `security_login_failed_log` int(1) DEFAULT NULL,
  `security_login_notify_user` int(1) DEFAULT NULL,
  `security_login_notify` int(1) DEFAULT NULL,
  `security_login_notify_email` varchar(255) NOT NULL,
  `security_failed_login_delay` int(1) DEFAULT NULL,
  `security_login_old_info` int(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_prefs`
--

LOCK TABLES `security_prefs` WRITE;
/*!40000 ALTER TABLE `security_prefs` DISABLE KEYS */;
INSERT INTO `security_prefs` VALUES (1,0,0,0,0,0,0,0,0,0,0,0,'0',0,0);
/*!40000 ALTER TABLE `security_prefs` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-06-07 12:19:11
INSERT INTO `node` VALUES (
    1,
    0,
    'superuser',
    '',
    '',
    '',
    0,
    'index',
    '',
    '',
    '',
    '',
    'pubblica',
    '0000-00-00',
    '0000-00-00',
    'no',
    50,
    'content_base',
    'default.tpl',
    'default.css',
    '',
    0,
    0,
    0,
    0,
    '');
INSERT INTO `content_base` VALUES (1, 'Priscilla', 'Benvenuto alla tua nuova installazione di Priscilla!', 'Puoi iniziare a lavorare (magari modificando proprio questa homepage) facendo il <a href="login.php" title="Vai al login">login</a> come superuser', '');
INSERT INTO `immagini` VALUES (1, 'favicon.ico', 'superuser', '', '', '', '', '', '', '', '', '', '', ''), (2, 'gradiente.gif', 'superuser', '', '', '', '', '', '', '', '', '', '', ''), (3, 'pj50.png', 'superuser', '', '', '', '', '', '', '', '', '', '', ''), (4, 'priscilla-object.jpg', 'superuser', '', '', '', '', '', '', '', '', '', '', '');
INSERT INTO `links_list` VALUES (1, 'http://www.priscillacms.com', 0, 'http://www.priscillacms.com', '', 'intext', 'external', '', '', 0, 'public', 'superuser'), (2, 'http://www.priscillacms.org', 0, 'http://www.priscillacms.org', '', 'intext', 'external', '', '', 0, 'public', 'superuser'), (3, 'http://priscillastyle.com', 0, 'http://priscillastyle.com', '', 'intext', 'external', '', '', 0, 'public', 'superuser'), (4, 'http://www.plasticjumper.it', 0, 'http://www.plasticjumper.it', '', 'intext', 'external', '', '', 0, 'public', 'superuser');
