#!/bin/sh


cd modules
rm -rf ../docs/listag.linear
rm -rf ../docs/listag.loop
rm -rf ../docs/listag.all
rm -rf ../docs/modules.all

for i in *; do
    if [ "$i" = "CVS" ]; then
        continue
    fi
    echo " ** module: $i" >> ../docs/listag.all;
    for tagtype in linear loop; do
        f="$i/inc/$i"_"$tagtype.inc.php"
        if [ -f $f ]; then
            cat $f | grep "\*\*" >> ../docs/listag.all
            cat $f | grep "\*\*" >> ../docs/listag.$tagtype
        fi
    done
done

for tagtype in linear loop all; do
    cat ../docs/listag.$tagtype | grep "tag: " | cut -d':' -f2 | sort | uniq | tr -d ' ' > ../docs/indextag.$tagtype
    if [ $tagtype == "all" ]; then
        echo "tag list: "
        cat ../docs/indextag.all
    fi
done

cat ../docs/listag.all | grep  "** module: " | cut -d':' -f 2 | sort | tr -d ' ' > ../docs/modules.all



#php gendoc.php

