<?php
// $Id: inform_all.inc.php 5140 2012-04-11 15:02:10Z calicant $
require "adm/lib/setup.php";

define ("IMPORTING_DIR", "attach/__import__");


function bytestomega ($bytes) {

    return round($bytes / (1024 * 1024));
}

function bytestokappa ($bytes) {

    return round($bytes / 1024);
}

function out_tenda ($currtype, $bytes) {

    $currsystemuploadsize = get_max_file_size();
    $currsystemuploadsize_mb = bytestomega($currsystemuploadsize);

    if ($currtype == T_FOTO) {
    	$currsize = bytestokappa($bytes);
	    $asize[] = 128;
	    for ($i = 256; $i <= 4096; $i += 256)
	        $asize[] = $i;
	$unit = "KB";
    } else {
	    $currsize = bytestomega($bytes);
        if (is_numeric($currsystemuploadsize_mb)) {
            $asize = array();
            for ($i = 1; $i <= $currsystemuploadsize_mb; $i++) {
                if ($i > 12 && $i != $currsystemuploadsize_mb)
                    if ($i % 4)
                        continue;
                $asize[] = $i;
            }
        }
        else
	        $asize = array (1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 16, 32);

	    $unit = "MB";
    }

    $sres = "<select class=\"insert_area\" name=\"attach[" . $currtype . "]\" size=\"1\">\n"; 

    foreach ($asize as $mysize) {
	
    	$is_selected = $mysize == $currsize ? "SELECTED" : "";
	    $sres .= "<option value=\"$mysize\" $is_selected>$mysize $unit</option>\n";
    } // foreach

    $sres .= "</select>\n";

return $sres;
} // out_tenda

function get_max_file_size() {

    $max = get_cfg_var("upload_max_filesize");
    if(@eregi("G$",$max)) {
	    $max = substr($max,0,-1);
    	$max = round($max*1073741824);
        } 
    elseif(@eregi("M$",$max)) {
        $max = substr($max,0,-1);
	    $max = round($max*1048576);
        }
    elseif(@eregi("K$",$max)) {
	    $max = substr($max,0,-1);
	    $max = round($max*1024);
    } 

return $max;
}


// estraggo i dati dell'utente (per personalizzazioni)
	$usertable = $PRISCILLA_SESSION->getvalue('usertable');
	if ($usertable[skin] != '') $skin = $usertable[skin];
	if ($usertable[lingua] != '') $lang = $usertable[lingua];
	require_once "tools/lang/$lang/dialog.diz";
	
	include PRISCILLA_LOCAL_PATH."adm/include/html_head.inc.php";
	include("adm/include/title.txt");
	print "<link rel=\"stylesheet\" type=\"text/css\" href=\"adm/skin/$skin/default.css\" />";
	print "<!--[if lte IE 7]>
				<link rel=\"stylesheet\" type=\"text/css\" href=\"adm/skin/ie6.css\" />
			<![endif]-->";
    include("adm/include/OpenWnd.js");
	include("adm/skin/$skin/body.inc");
	include("adm/include/head_root.inc.php");
	?>
<?php
$dbquery = "SELECT * FROM user WHERE username='".$_COOKIE['login']."'";
$rowrs1 = $connh->Execute($dbquery); 
$usertable = $rowrs1->fields;

require PRISCILLA_LOCAL_PATH . "modules/core/lib/attach_config.inc.php";

// il superuser puo' cambiare le dimensioni degli allegati (e le estensioni)

if ($_COOKIE['login'] == 'superuser') {

    $ext_input_error = false;
 
    $system_maxsize_note = " [" . dialog_att_maxsysupload . ": " . ini_get('upload_max_filesize') .  "]"; 
 
    if (isset($_POST['bSaveAttachSize']) && isset($_POST['attach']) && is_array($_POST['attach'])) {

	// si salva l'eventuale percorso dellas cartella repository

	if (isset($_POST['attach_repository_path']) && trim($_POST['attach_repository_path']) != '') {	    

	    if (isset($_POST['noattachscript']) && $_POST['noattachscript'] == 'yes')
		$noscript = 'yes';
	    else
		$noscript = 'no';
 
	    $dbquery = "UPDATE priscilla SET importdir = '" . $_POST['attach_repository_path'] . "', noattachscript = '" . $noscript . "'";

	    $connh->Execute($dbquery) or die($dbquery. "<br />" . $connh->ErrorMsg());
	}

	$fattach = $_POST['attach'];
	$eattach = $_POST['extattach'];

	foreach ($attach_list as $currname)
	    if (isset($fattach[$currname]) && is_numeric($fattach[$currname])) {

		if ($currname == T_FOTO)
		    $bytes = $fattach[$currname] * 1024;
		else
		    $bytes = $fattach[$currname] * 1024 * 1024;

		$sext = $eattach[$currname];

		// si salva se la stringa di estensione e' decente
		
		if ($sext == '' || ($sext{0} == '.' && $sext{strlen($sext) - 1} != '.'
		    && strpos($sext, '..') === false && strpos($sext, ' ') === false)) { 
		    
		    $db_extension = substr(str_replace('.', '|.', $sext), 1);

		    $dbquery =
		    "UPDATE " . TABLE_ALLEGATI_CONFIG .
			" SET maxsize = '" . $bytes .
			"', extension = '" . $db_extension . "' WHERE aname = '" . $currname . "'";

		    $connh->Execute($dbquery) or die($dbquery. "<br />" . $connh->ErrorMsg());
		}
		else $ext_input_error = true;
	    }
	// si rileggono le impostazioni
	require PRISCILLA_LOCAL_PATH . "modules/core/lib/attach_config.inc.php";
    }
   
    // si va a prendere la directory di importazione impostata
    $dbquery = "SELECT importdir, noattachscript FROM priscilla";
    $rowrs = $connh->Execute($dbquery) or die($dbquery. "<br />" . $connh->ErrorMsg());

    $import_dir = $priscilla_local_path;
    $is_noscript = $rowrs->fields('noattachscript') == 'yes' ? 'checked' : '';

    if ($import_dir{strlen($import_dir) - 1} != '/')
    $import_dir .= "/";
    $import_dir .= IMPORTING_DIR;
    $default_attach_repository_path .= $import_dir;

    // se non c'e': impostazione predefinta
    if ($rowrs->RecordCount() <= 0)
	$attach_repository_path = $default_attach_repository_path;
    else {
	$attach_repository_path = $rowrs->fields('importdir');
	if (trim($attach_repository_path) == '')
	    $attach_repository_path = $default_attach_repository_path;
    }
 
    $s_text_docs = out_tenda(T_DOCS, $attach_size[T_DOCS]);
    $s_text_archive = out_tenda(T_ARCHIVE, $attach_size[T_ARCHIVE]);
    $s_text_audio = out_tenda(T_AUDIO, $attach_size[T_AUDIO]);
    $s_text_video = out_tenda(T_VIDEO, $attach_size[T_VIDEO]);
    $s_text_flash = out_tenda(T_FLASH, $attach_size[T_FLASH]);
    $s_text_foto = out_tenda(T_FOTO, $attach_size[T_FOTO]);

    $s_extension_docs =
	"<input align=\"CENTER\" class=\"insert_area\" style=\"width:100%\" name=\"extattach[" . T_DOCS . "]\" value=\"" . $attach_extension_pulite[T_DOCS] . "\">";
    $s_extension_archive =
	"<input align=\"CENTER\" class=\"insert_area\" style=\"width:100%\" name=\"extattach[" . T_ARCHIVE ."]\" value=\"" . $attach_extension_pulite[T_ARCHIVE] . "\">";
    $s_extension_audio =
	"<input align=\"CENTER\" class=\"insert_area\" style=\"width:100%\" name=\"extattach[" . T_AUDIO . "]\" value=\"" . $attach_extension_pulite[T_AUDIO] . "\">";
    $s_extension_video =
	"<input align=\"CENTER\"  class=\"insert_area\" style=\"width:100%\" name=\"extattach[" . T_VIDEO . "]\" value=\"" . $attach_extension_pulite[T_VIDEO] . "\">";
    $s_extension_flash =
	"<input align=\"CENTER\" class=\"insert_area\" style=\"width:100%\" name=\"extattach[" . T_FLASH . "]\" value=\"" . $attach_extension_pulite[T_FLASH] . "\">";
    $s_extension_foto =
	"<input align=\"CENTER\" class=\"insert_area\" style=\"width:100%\" name=\"extattach[". T_FOTO . "]\" value=\"" . $attach_extension_pulite[T_FOTO] . "\">";

    $bottom_panel =
	"<tr>" . 
	"<th class=\"table_sez\" colspan=\"2\">".dialog_aimport_noattachscript."</th>" .
	"<td align=\"CENTER\" class=\"insert_voice\" colspan=\"2\">" .
        "<input class=\"insert_area\" align=\"CENTER\" type=\"CHECKBOX\" $is_noscript name=\"noattachscript\" value=\"yes\"></td>" .
	"</tr>" .

	"<tr>" .
	"<th class=\"table_sez\" colspan=\"2\">".dialog_aimport_repository_path."</th>" .
	"<td class=\"insert_voice\" colspan=\"2\">" .
	"<input style=\"width:100%\" class=\"insert_area\" align=\"CENTER\" type=\"TEXT\" name=\"attach_repository_path\" value=\"$attach_repository_path\"></td>" .
	"</tr>\n" .

	"<tr><td colspan=\"4\" align=\"CENTER\" class=\"button_out\">" .
	"<input type=\"SUBMIT\" class=\"button_in awesome\" name=\"bSaveAttachSize\" " .
	"VALUE=\"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".dialog_but_smdb."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\"></td></tr>\n";

}
// un utente che non sia superuser
else {

    $system_maxsize_note = '';

    $s_text_docs = bytestomega($attach_size[T_DOCS]) . " MB";
    $s_text_archive = bytestomega($attach_size[T_ARCHIVE]) . " MB";
    $s_text_audio = bytestomega($attach_size[T_AUDIO]) . " MB";
    $s_text_video = bytestomega($attach_size[T_VIDEO]) . " MB";
    $s_text_flash = bytestomega($attach_size[T_FLASH]) . " MB";
    $s_text_foto = bytestokappa($attach_size[T_FOTO]) . " KB";

    $s_extension_docs = $attach_extension_pulite[T_DOCS];
    $s_extension_archive = $attach_extension_pulite[T_ARCHIVE];
    $s_extension_audio = $attach_extension_pulite[T_AUDIO];
    $s_extension_video = $attach_extension_pulite[T_VIDEO];
    $s_extension_flash = $attach_extension_pulite[T_FLASH];
    $s_extension_foto = $attach_extension_pulite[T_FOTO];

    $bottom_panel = '';
}

?>
<form method="POST" action="<?php echo $_SERVER['PHP_SELF'] . "?action=all&id=1"; ?>">
<table width="<? include("adm/include/dim_all.inc.php"); ?>" class="table_border" align="center" cellpadding="3" cellspacing="1" border="0">
<tr> 
	<th colspan="4" class="table_tit"><? print dialog_all_tt_ins_gen . $system_maxsize_note; ?></th>
</tr><tr>
	<th width="20%" class="table_sez"><? print dialog_voice_name; ?></th> 
	<th width="30%" class="table_sez"><? print dialog_voice_cnt; ?></th>
	<th width="40%" class="table_sez"><? print dialog_voice_ext; ?></th> 
	<th width="10%" class="table_sez"><? print dialog_gen_size;  ?></th>
</tr><tr>
	<td class="insert_voice_dark"><? print dialog_all_doc; ?></td>
	<td align="center" class="button_out"><input class="button_in awesome" type="button" size="38" value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? print dialog_but_open; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" onclick="OpenWnd('<? print PRISCILLA_SERVER_PATH; ?>modules/core/lib/a_attach.php?at=docs');"></td>
	<td class="insert_voice_dark"><? print $s_extension_docs; ?></td>
	<td align="CENTER" class="insert_voice_dark"><? print $s_text_docs; ?></td>
</tr><tr>
	<td class="insert_voice"><? print dialog_all_arc; ?></td>
	<td align="center" class="button_out"><input class="button_in awesome" type="button" size="38" value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? print dialog_but_open; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" onclick="OpenWnd('<? print PRISCILLA_SERVER_PATH; ?>modules/core/lib/a_attach.php?at=archive');"></td>
	<td class="insert_voice"><? print $s_extension_archive; ?></td>
	<td align="CENTER" class="insert_voice"><? print $s_text_archive; ?></td>
</tr><tr>
	<td class="insert_voice_dark"><? print dialog_all_audio; ?></td>
	<td align="center" class="button_out"><input class="button_in awesome" type="button" size="38" value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? print dialog_but_open; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" onclick="OpenWnd('<? print PRISCILLA_SERVER_PATH; ?>modules/core/lib/a_attach.php?at=audio');"></td>
	<td class="insert_voice_dark"><? print $s_extension_audio; ?></td>
	<td align="CENTER" class="insert_voice_dark"><? print $s_text_audio; ?></td>
</tr><tr>
	<td class="insert_voice"><? print dialog_all_med; ?></td>
	<td align="center" class="button_out"><input class="button_in awesome" type="button" size="38" value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? print dialog_but_open; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" onclick="OpenWnd('<? print PRISCILLA_SERVER_PATH; ?>modules/core/lib/a_attach.php?at=video');"></td>
	<td class="insert_voice"><? print $s_extension_video; ?></td>
	<td align="CENTER" class="insert_voice"><? print  $s_text_video; ?></td>
</tr><tr>
	<td class="insert_voice_dark"><? print dialog_all_flash; ?></td>
	<td align="center" class="button_out"><input class="button_in awesome" type="button" size="38" value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? print dialog_but_open; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" onclick="OpenWnd('<? print PRISCILLA_SERVER_PATH; ?>modules/core/lib/a_swf.php');"></td>
	<td class="insert_voice_dark"><? print $s_extension_flash; ?></td>
	<td align="CENTER" class="insert_voice_dark"><? print $s_text_flash; ?></td>
</tr>
</table><br />

<table width="<? include("adm/include/dim_all.inc.php"); ?>" class="table_border" align="center" cellpadding="3" cellspacing="1" border="0">
<tr> 
	<th colspan="4" class="table_tit"><? print dialog_all_tt_ins_oth; ?></div></th>
</tr><tr>
	<th width="20%" class="table_sez"><? print dialog_voice_name; ?></th> 
	<th width="30%" class="table_sez"><? print dialog_voice_cnt; ?></th> 
	<th width="40%" class="table_sez"><? print dialog_voice_ext; ?></th>
	<th width="10%" class="table_sez"><? print dialog_gen_size;  ?></th>
</tr><tr>
	<td class="insert_voice_dark"><? print dialog_all_img; ?></td>
	<td align="center" class="button_out"><input class="button_in awesome" type="button" size="38" value="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? print dialog_but_open; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" onclick="OpenWnd('<? print PRISCILLA_SERVER_PATH; ?>modules/core/lib/a_foto.php');"></td>
	<td class="insert_voice_dark"><div class="tinny"><? print $s_extension_foto ?></td>
	<td align="CENTER" class="insert_voice_dark"><? print $s_text_foto; ?></td>
</tr>
<?php
if ($usertable[livello]<=1)

    echo "<tr>" .
	"<td class=\"insert_voice\">".dialog_all_inc."</td>" .
	"<td align=\"center\" class=\"button_out\"><input class=\"button_in awesome\" type=\"button\" size=\"38\" value=\"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".dialog_but_open."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\" onclick=\"OpenWnd('" . PRISCILLA_SERVER_PATH . "modules/core/lib/a_include.php');\"></td>" .
	"<td class=\"insert_voice\">".dialog_ext_inc."</td>" .
	"<td class=\"insert_voice\">&nbsp;</td>" .
    "</tr>";
?>
<?php echo $bottom_panel ?>
</form>
</table>
<?php
    if ($_COOKIE['login'] == 'superuser' && isset($ext_input_error) && $ext_input_error == true)
	echo "<br /><div class=\"insert_message\" align=\"CENTER\"><strong>".dialog_att_ext_error."</strong></div>\n";
?>
<br />
<?
/*
<form method="POST" action="tools/script/attach_import.php">
<table width="<? include("adm/include/dim_all.inc.php"); ?>" class="table_border" align="center" cellpadding="3" cellspacing="1" border="0">
<tr>
        <th colspan="4" class="table_tit"><? print dialog_all_tt_import_panel; ?></div></th>
</tr>
<tr>
<td colspan="4" align="CENTER" class="button_out">
<input type="SUBMIT" class="button_in" value="<?php echo dialog_but_attach_import; ?>">
</td>
</tr>
</table>
</form>
*/
?>

<?php
    include("adm/include/menu_inform.inc.php");
    include("adm/include/about_root.inc.php");
?>
</body></html>
