<?
// $Id: module_body.inc.php 5140 2012-04-11 15:02:10Z calicant $

require_once "lib/test_auth.php";

require ($module_dir . "/lang/$lang/ecal.diz");


$debug = 0;

function dad ($d) {

    if ($d == "00:00:00" || $d == "0000-00-00" || trim($d) == "")
        return "---";

    $l = strlen($d);

    if ($l == 10) {
        $a_d = explode("-", $d);
        return $a_d[2] . "-" . $a_d[1] . "-" . $a_d[0];
    }

    if ($l == 8)
        return substr($d, 0, 5);

}


$user = $_COOKIE['login'];


$usertable = $_SESSION['PRISCILLA_SESSION']->getvalue('usertable');
$typeditor = $usertable['editor'];


if ($user != "superuser")
    $add_user = " AND (`user` = '" . $user . "')";
else
    $add_user = "";

$l_data = ECAL_DATA;
$l_titolo = ECAL_TITOLO;
$l_descrizione = ECAL_DESCRIZIONE;
$l_ora = ECAL_ORA;
$l_luogo = ECAL_LUOGO;
$l_data_end = ECAL_DATA_END;
$l_save_event = ECAL_SAVE_EVENT;
$l_find_events_from = ECAL_FIND_EVENTS_FROM;
$l_events_to = ECAL_EVENTS_TO;
$l_invalid_date = ECAL_INVALID_DATE;
$l_invalid_end_date = ECAL_INVALID_END_DATE;
$l_invalid_title = ECAL_INVALID_TITLE;
$l_op_done = ECAL_OP_DONE;
$l_no_events = ECAL_NO_EVENTS;
$l_find = ECAL_FIND;
$l_event_not_found = ECAL_EVENT_NOT_FOUND;
$l_event_delete = ECAL_EVENT_DELETE;
$l_event_delete_warn = ECAL_EVENT_DELETE_WARN;
$l_event_add_edit = ECAL_EVENT_ADD_EDIT;
$l_cancel = ECAL_CANCEL;
$l_date_order_error = ECAL_DATE_ORDER_ERROR;
$l_categoria = ECAL_CATEGORIA;
$l_invalid_categoria = ECAL_INVALID_CATEGORIA;

$ecal_error = "";

$v_titolo = "";
$v_descrizione = "";
$v_luogo = "";
$v_data = array();
$v_ora = array();
$v_categoria = "";
$v_data_end = array();
$vopIdEdit = "";
$v_delete_event_button = "";
$v_cancel_edit_button = "";

if ($debug) {
    echo "<pre>";
    print_r($_POST);
    echo "</pre>";
}

if (isset($_POST["opMode"]) == "e" && is_numeric($_POST["opId"])) {

    $dbquery = "SELECT * FROM `ecal_calendar` WHERE `id` = " . $_POST["opId"] . " LIMIT 1";
    $rs = $connh->Execute($dbquery);
    if (!$rs)
        $ecal_error = "Query Error (3): " . $connh->ErrorMsg();
    if ($rs->RecordCount() != 1)
        $ecal_error = $l_event_not_found . ". ID = " . $_POST["opId"];
    else {
        $v_titolo = stripslashes(htmlspecialchars($rs->fields('titolo')));
        $v_descrizione = stripslashes($rs->fields('descrizione'));
        $v_luogo = stripslashes(htmlspecialchars($rs->fields('luogo')));
        $v_data = explode("-", $rs->fields('data'));
        $v_ora = explode("-", $rs->fields('ora'));
        $v_data_end = explode("-", $rs->fields('data_end'));
        $v_categoria = $rs->fields('categoria');
        if ($v_data_end[0] == "0000")
            $v_data_end[0] = "";

        $vopIdEdit = $_POST["opId"];
        $v_delete_event_button = "<input onclick=\"if (confirm('" . $l_event_delete_warn . "')) { fid = document.getElementById('eventAddEditF'); fid.opModeEdit.value = 'delete'; fid.submit();}\" type=\"button\" value=\"$l_event_delete\" id=\"bEventDelete\" name=\"bEventDelete\" />";
        $v_cancel_edit_button = "<input onclick=\"document.getElementById('eventListF').submit();\" type=\"button\" name=\"bCancelEdit\" id=\"bCancelEdit\" value=\"$l_cancel\" />\n";

    }


}

// si vede subito se e' un'eliminazione
if ($_POST["opModeEdit"] == "delete" && is_numeric($_POST["opIdEdit"])) {
        $dbquery = "DELETE FROM `ecal_calendar` WHERE `id` = " . $_POST["opIdEdit"] . " LIMIT 1";
        $rs = $connh->Execute($dbquery);
        if (!$rs)
            $ecal_error = "Query Error (4): " . $connh->ErrorMsg();
}

if (isset($_POST["bSaveEvent"])) {

    $categoria = $_POST['categoria'];
    $data = $_POST["data_year"] . "-" . $_POST["data_month"] . "-" . $_POST["data_day"];
    $data_end = $_POST["data_end_year"] . "-" . $_POST["data_end_month"] . "-" . $_POST["data_end_day"];
    $ora = $_POST["ora_h"] . ":" . $_POST["ora_m"] . ":00";

    // si controlla se la data e` valida
    if (!checkdate($_POST["data_month"], (int)$_POST["data_day"], (int)$_POST["data_year"]))
        $ecal_error = $l_invalid_date;

    // si controlla eventualmente la validita' della data finale
    if (trim($_POST['data_end_year']) != "") {
        if (!checkdate($_POST["data_end_month"], (int)$_POST["data_end_day"], (int)$_POST["data_end_year"]))
            $ecal_error = $l_invalid_end_date;
    }

    // si controlla la bonta' della categoria
    if (trim($_POST['categoria']) != "") {
        if (!(ereg("^([ 0-9A-Za-z_-]{3,250})$", $_POST['categoria'])))
            $ecal_error = $l_invalid_categoria;
    }

    // il capo titolo deve essere compilato
    if (trim($_POST["titolo"]) == "")
        $ecal_error = $l_invalid_title;

    if ($ecal_error == "") {

        // e' una modifica
        if (is_numeric($_POST["opIdEdit"])) {


            $dbquery =
                "UPDATE `ecal_calendar` SET " .
                "`data` = '$data'," .
                "`categoria` = '" . $_POST["categoria"] . "'," .
                "`titolo` = '" . addslashes($_POST["titolo"]) . "'," .
                "`descrizione` = '" .  addslashes(str_replace('&','&amp;', stripslashes(html_entity_decode($_POST['descrizione'], ENT_COMPAT, PRISCILLA_CHARSET)))) . "', " .
                "`luogo` = '" . addslashes($_POST["luogo"]) . "'," .
                "`ora` = '$ora'," .
                "`data_end` = '$data_end' WHERE `id` = " . $_POST["opIdEdit"] . " LIMIT 1";


        // e' un inserimento
        }
        else
            $dbquery =
                "INSERT INTO `ecal_calendar` (`data`, `categoria`, `titolo`, `descrizione`, `luogo`, `ora`, `data_end`, `user`) VALUES (".
                "'" . $data . "','" . $categoria . "','" . addslashes($_POST["titolo"]) . "','" . addslashes($_POST['descrizione']) . "'," .
                "'" . addslashes($_POST["luogo"]) . "','" . $ora . "','" . $data_end . "','" . $user . "')";



        if ($debug)
            echo $dbquery . "<br />\n";

        $rs = $connh->Execute($dbquery);
        if (!$rs)
            $ecal_error = "Query Error (2): " . $connh->ErrorMsg();
        else
            $ecal_ok = $l_op_done;

    }

}





$t = time();
$cd = date("d", $t);
$cm = date("m", $t);
$cy = date("Y", $t);

if ($cm == 12) {
    $last_m = 1;
    $last_y = $cy + 1;
}
else {
    $last_m = $cm + 1;
    $last_y = $cy;
}
$lastday = mktime(0, 0, 0, $last_m, 0, $last_y);



if (isset($_POST["sfrom_year"]) && trim($_POST["sfrom_year"]) != "" && trim($_POST["send_year"] != "")) {

    $d_start_year =  $_POST["sfrom_year"]; 
    $d_start_month =  $_POST["sfrom_month"]; 
    $d_start_day = $_POST["sfrom_day"];

    $d_end_year =  $_POST["send_year"]; 
    $d_end_month =  $_POST["send_month"]; 
    $d_end_day =  $_POST["send_day"];


    $t1 = mktime(0, 0, 0, $d_start_month, $d_start_day, $d_start_year);
    $t2 = mktime(0, 0, 0, $d_end_month, $d_end_day, $d_end_year);

    if ($t1 > $t2)
        $ecal_error = $l_date_order_error;

}
else {
    $d_start_year = $cy;
    $d_start_month = $cm;
    $d_start_day = 1;;

    $d_end_year = $cy;
    $d_end_month = $cm;
    $d_end_day = date("d", $lastday);
}

$d_start = $d_start_year . "-" . $d_start_month . "-" . $d_start_day;
$d_end = $d_end_year . "-" . $d_end_month . "-" . $d_end_day;

if ($debug) {
    echo "d_start = $d_start || d_end = $d_end<br />\n";
}


$s_events_search_results = "";


if (trim($_POST["searchText"]) != "") {

    $v_searchText = $_POST["searchText"];

    $searchText = " AND (`titolo` LIKE '%" . $v_searchText . "%' OR `descrizione` LIKE '%" . $v_searchText . "%' OR `luogo` LIKE '%" . $v_searchText . "%' OR `categoria` LIKE '%"  . $v_searchText . "%') ";

    $v_searchText = stripslashes($v_searchText);

    $b_search_cancel_button = "<input class=\"button_in awesome\" onclick=\"document.getElementById('searchText').value =''; document.getElementById('eventListF').submit();\" type=\"button\" name=\"bSearchReset\" id=\"bSearchReset\" value=\"$l_cancel\" />";

}
else {
    $searchText = "";
    $b_search_cancel_button = "";
}

$dbquery = "SELECT * FROM `ecal_calendar` WHERE (`data` >= '" . $d_start . "' AND `data` <= '" . $d_end . "') " . $searchText . $add_user . " ORDER BY `data` ASC";

if ($debug)
     echo $dbquery . "<br />";


$rs = $connh->Execute($dbquery);
if (!$rs)
    $ecal_error = "Query Error (1): " . $connh->ErrorMsg();

else {

    if ($rs->RecordCount() == 0)
        $s_events_search_results = "<span id=\"noEvents\">" .  $l_no_events . "</span>\n";
    else {
        $s_events_search_results =
            "<table id=\"riepilogo-eventi-inseriti\">" .
            "<tr>\n" .
            "<th>ID</th>\n" .
            "<th>" . $l_data . "</th>\n" .
            "<th>" . $l_ora . "</th>\n" .
            "<th>" . $l_data_end  . "</th>\n" .
            "<th>" . $l_titolo  . "</th>\n" .
            "</tr>\n";


        while (!$rs->EOF) {
            $s_events_search_results .=
                "<tr>\n" .
                "<td>" . $rs->fields('id') . "</td>\n" .
                "<td>" . dad($rs->fields('data')) . "</td>\n" .
                "<td>" . dad($rs->fields('ora')) . "</td>\n" .
                "<td>" . dad($rs->fields('data_end')) . "</td>\n" .
                "<td><a href=\"#\" onclick=\"fid = document.getElementById('eventListF'); fid.opMode.value = 'e'; fid.opId.value = '" . $rs->fields('id') . "'; fid.submit();\">" . stripslashes($rs->fields('titolo')) . "</a></td>\n" .
                "</tr>\n";
            $rs->MoveNext();
        }

    $s_events_search_results .= "</table>\n";
    }
}

// default sulle date di ricerca




// per data inizio e data di fine
$s_select_data_day = "<select class=\"insert_area\" size=\"1\" name=\"data_day\" id=\"data_day\">\n";
$s_select_data_month = "<select class=\"insert_area\" size=\"1\" name=\"data_month\" id=\"data_month\">\n";

$s_select_data_end_day = "<select class=\"insert_area\" size=\"1\" name=\"data_end_day\" id=\"data_end_day\">\n";
$s_select_data_end_month = "<select class=\"insert_area\" size=\"1\" name=\"data_end_month\" id=\"data_end_month\">\n";

// ora
$s_select_ora_h = "<select size=\"1\" name=\"ora_h\" id=\"ora_h\">\n";
$s_select_ora_m = "<select size=\"1\" name=\"ora_m\" id=\"ora_m\">\n";


// per le date di ricerca
$s_select_sfrom_day = "<select size=\"1\" name=\"sfrom_day\" id=\"sfrom_day\">\n";
$s_select_sfrom_month = "<select size=\"1\" name=\"sfrom_month\" id=\"sfrom_month\">\n";

$s_select_send_day = "<select size=\"1\" name=\"send_day\" id=\"send_day\">\n";
$s_select_send_month = "<select size=\"1\" name=\"send_month\" id=\"send_month\">\n";



for ($i = 1; $i < 32; $i++) {
    $si = sprintf("%02d", $i);

    $is_selected_data_day = $i == (int)$v_data[2] ? "selected" : "";
    $s_select_data_day .= "<option $is_selected_data_day value=\"$si\">$si</option>\n";

    $is_selected_data_end_day = $i == (int)$v_data_end[2] ? "selected" : "";
    $s_select_data_end_day .= "<option $is_selected_data_end_day value=\"$si\">$si</option>\n";

    $is_selected_sfrom_day = $i == $d_start_day ? "selected" : "";
    $s_select_sfrom_day .= "<option $is_selected_sfrom_day value=\"$si\">$si</option>\n";

    $is_selected_send_day = $i == $d_end_day ? "selected" : "";
    $s_select_send_day .= "<option $is_selected_send_day value=\"$si\">$si</option>\n";
}

for ($m = 1; $m < 13; $m++) {
    $sm = sprintf("%02d", $m);

    $is_selected_data_month = $m == (int)$v_data[1] ? "selected" : "";
    $s_select_data_month .= "<option $is_selected_data_month value=\"$sm\">$sm</option>\n";

    $is_selected_data_end_month = $m == (int)$v_data_end[1] ? "selected" : "";
    $s_select_data_end_month .= "<option $is_selected_data_end_month value=\"$sm\">$sm</option>\n";

    $is_selected_sfrom_month = $m == $d_start_month ? "selected" : "";
    $s_select_sfrom_month .= "<option $is_selected_sfrom_month value=\"$sm\">$sm</option>\n";

    $is_selected_send_month = $m == $d_end_month ? "selected" : "";
    $s_select_send_month .= "<option $is_selected_send_month value=\"$sm\">$sm</option>\n";
}

for ($h = 0; $h < 24; $h++) {
    $sh = sprintf("%02d", $h);
    $is_selected_ora_h = $h == (int)$v_ora[0] ? "selected" : "";
    $s_select_ora_h .= "<option $is_selected_ora_h value=\"$sh\">$sh</option>\n";
}

for ($m = 0; $m < 60; $m++) {
    $sm = sprintf("%02d", $m);
    $is_selected_ora_m = $m == (int)$v_ora[1] ? "selected" : "";
    $s_select_ora_m .= "<option $is_selected_ora_m value=\"$sm\">$sm</option>\n";
}


$s_select_data_day .= "</select>\n";
$s_select_data_month .= "</select>\n";
$s_select_data_end_day .= "</select>\n";
$s_select_data_end_month .= "</select>\n";
$s_select_sfrom_day .= "</select>\n";
$s_select_sfrom_month .= "</select>\n";
$s_select_send_day .= "</select>\n";
$s_select_send_month .= "</select>\n";
$s_select_ora_h .= "</select>\n";
$s_select_ora_m .= "</select>\n";


$s_data = $s_select_data_day . $s_select_data_month .  "<input class=\"insert_area\" value=\"$v_data[0]\" size=\"5\" maxlength=\"4\" type=\"text\" name=\"data_year\" id=\"data_year\">\n";
$s_data_end = $s_select_data_end_day . $s_select_data_end_month .  "<input class=\"insert_area\" value=\"$v_data_end[0]\" size=\"5\" maxlength=\"4\" type=\"text\" name=\"data_end_year\" id=\"data_end_uear\">\n";

$s_sfrom = $s_select_sfrom_day . $s_select_sfrom_month .  "<input class=\"insert_area\" value=\"$d_start_year\" size=\"5\" maxlength=\"4\" type=\"text\" name=\"sfrom_year\" id=\"sfrom_year\">\n";

$s_send = $s_select_send_day . $s_select_send_month .  "<input class=\"insert_area\" value=\"$d_end_year\" size=\"5\" maxlength=\"4\" type=\"text\" name=\"send_year\" id=\"send_year\">\n";

$s_ora = $s_select_ora_h . $s_select_ora_m;


// aggiunta di un nuovo evento
echo <<< EOF

<div id="ecalError">$ecal_error</div>

<form method="post" id="eventAddEditF">
<input type="hidden" name="opIdEdit" id="opIdEdit" value="$vopIdEdit" />
<input type="hidden" name="opModeEdit" id="opModeEdit" value="edit" />

<span class="ecalTitle">$l_event_add_edit</span>

<div id="ecalInsertEvent">

<ul>

<li>
<div class="data-line"><label for="data">$l_data</label>$s_data</div>
<div class="ora-line"><label for="ora">$l_ora</label>$s_ora</div>
</li>

<li>
<label for="titolo">$l_titolo</label><input type="text" name="titolo" id="titolo" size="40" value="$v_titolo" />
</li>

<li>
<label for="descrizione">$l_descrizione</label>
EOF;

    $name = "descrizione";

    if (@include_once PRISCILLA_LOCAL_PATH."packages/FCKeditor/fckeditor.php") {
        $editor = new FCKeditor($name);
        $edcompatible = $editor->IsCompatible();
    }
    else
        $edcompatible = false;

    if ($typeditor == 'e' && file_exists(PRISCILLA_LOCAL_PATH."modules/fckeditor/inc/config.inc.php")
                              && is_dir(PRISCILLA_LOCAL_PATH."packages/FCKeditor") && $edcompatible)
    // se ho definito per l'editor in JAVASCRIPT
    {

        echo "<input type=\"hidden\" name=\"vised_active\" id=\"vised_active\" value=\"true\" />";

        $editor->BasePath = PRISCILLA_SERVER_PATH."packages/FCKeditor/";
        if ($usertable['htmlLevel'] == '') $usertable['htmlLevel'] = 'no';
        $editor->ToolbarSet = $usertable['htmlLevel'];
        $editor->Config['DefaultLanguage'] = substr($lang, 0, 2);
        $editor->Value = $v_descrizione;
        flush();
        echo $editor->CreateHTML();

    }
    else
        echo "<textarea cols=\"80\" rows=\"10\" name=\"descrizione\" id=\"descrizione\">$v_descrizione</textarea>\n";



echo <<< EOF
</li>
<li>
<label for="luogo">$l_luogo</label><input type="text" name="luogo" id="luogo" value="$v_luogo" />
</li>


<li>
<label for="categoria">$l_categoria</label><input type="text" name="categoria" id="categoria" size="40" value="$v_categoria" />
</li>

<li>
<label for="data_end">$l_data_end</label><span id="data_end">$s_data_end</span>
</li>

<li>
<input type="submit" name="bSaveEvent" value="$l_save_event" id="bSaveEvent" />&nbsp;$v_delete_event_button&nbsp;$v_cancel_edit_button
<li>

</ul>


</div>
</form>

<div id="ecalSearchEvents">
<form method="post" id="eventListF">
<input type="hidden" id="opMode" name="opMode" value="" />
<input type="hidden" id="opId" name="opId" value="" />

<span class="ecalTitle">
$l_find_events_from $s_sfrom $l_events_to $s_send <input type="text" name="searchText" id="searchText" value="$v_searchText" /> <input type="submit" name="bEeventSearch" value="$l_find" />$b_search_cancel_button
</span>
</form>
$s_events_search_results
</div>

EOF;



?>

