<?
// $Id: priscilla_datatonic_linear.inc.php 5140 2012-04-11 15:02:10Z calicant $

define("N_RESULTS_PER_PAGE", 30);


function priscilladatatonicform ($connh, $row, &$PRISCILLA_SESSION, $options) {

    // nota bene:
    // e' supportato soltanto un campo daterange data per volta
    // c'e' la possibilita' di selezionare il campo data da tendina
    // (i campi data vengono stabiliti nella definizione del form di ricerca) (lf)
    //

    global $priscilla_local_path;

    // si vanno a prendere nel db le configurazioni di ricerca
    $idricerca = $options['id'];

    $dbquery = "SELECT * FROM `priscilla_datatonic_search` WHERE id = '" . $idricerca . "'";
    $rs = $connh->Execute($dbquery) or die("ERROR:$dbquery<br />".$connh->ErrorMsg());
    $options = $rs->fields;

    // fine codice pezze priscilla

    $ldaterangeopt = strlen('__daterange__');


    if (!isset($options['words']))
        $options['words'] = "__default__::";

    // permette riporti a capo che vengono puliti
    $options['words'] = str_replace("\r", '', $options['words']);
    $options['words'] = str_replace("\n", '', $options['words']);


    // campi che rimangono solo se si e' loggati
    // oppure si e' dentro come utenti di una community

    $is_a_community_login = false;
    if ($PRISCILLA_SESSION->exists('community_user')) {
        $cu = $PRISCILLA_SESSION->getvalue('community_user');
        if (trim($cu->username) != '' && trim($cu->password) != '')
            $is_a_community_login = true;
    }

    if ((isset($_SESSION['PRISCILLA_SESSION']) && $_SESSION['PRISCILLA_SESSION']->exists('login_auth_id')) || $is_a_community_login) {
        $options['words'] = str_replace("[", '', $options['words']);
        $options['words'] = str_replace("]", '', $options['words']);
    }
    else {
        $orig_words = $options['words'];
        $temp_words = '';
        $start_reserved = '[';
        $stop_reserved = ']';
        $inbr = false;

        for ($k = 0; $k < strlen($orig_words); $k++) {

            if ($orig_words{$k} == $start_reserved) {
                $inbr = true;
                continue;
            }

            if ($orig_words{$k} == $stop_reserved) {
                $inbr = false;
                continue;
            }

            if (!$inbr)
                $temp_words .= $orig_words{$k};

        } // for

        $options['words'] = $temp_words;

    } // else


    if (trim($options['selectf']) != '')
        $selectf = $options['selectf'];
    else
        $selectf = "id";

    $search_options = array();
    $order_struct = array();
    $order_versus = array("Ascendente"=>"ASC", "Discendente"=>"DESC");

    $a_words = explode("*", $options['words']);

    // pulizia dell'uri da eventuali interruttori di cache
    $request_uri = str_replace('&ps=y', '', $_SERVER['REQUEST_URI']);

    // recupero dei dati di ricerca
    if (!count($_POST) && $_GET['ps'] == 'y' && isset($_SESSION['PRISCILLA_SESSION']) && $_SESSION['PRISCILLA_SESSION']->exists('reporterSearchPost'))
        $_POST =  $_SESSION['PRISCILLA_SESSION']->getvalue('reporterSearchPost');

    $sform =
        "<script type=\"text/javascript\">\n" .
        "<!--\n" .
        "function rpp (npage) {\n" .
        "f = document.getElementById('reporterSearch');\n" .
        "f.rstart.value = npage;\n" .
        "f.submit();\n" .
        "}\n" .
        "-->\n" .
        "</script>\n<noscript><p>$err_js_not_supported</p></noscript>\n" .
        "<form method=\"post\" action=\"" . $request_uri . "\" id=\"reporterSearch\"><p>\n" .
        "<input type=\"hidden\" name=\"rstart\" id=\"rstart\" value=\"\" />\n" .
        "<input type=\"hidden\" name=\"fromreportersearch\" id=\"fromreportersearch\" value=\"1\" />\n" .
        "<input type=\"hidden\" name=\"rs[selectf]\" id=\"rs_selectf\" value=\"$selectf\" />\n</p>" .
        "<div id=\"reporterSearchForm\">\n";

    // da configurazione campi su cui si vuole cercare in maniera precisa
    foreach ($a_words as $a_cw) { 

        // si saltano i commenti
        if ($a_cw[0] == '#')
            continue;

        $cw = explode(":", $a_cw);

        if (is_array($cw) && count($cw) == 3) {

            if ($cw[0] == "__default__")
                $ssize = "size=\"60\"";
           
            $is_a_daterange = false;
            $is_an_enum = false;
            $is_a_orderby = false;
            $multiple_date = false;
 
            if (trim($cw[2]) != '') {

                if ($cw[0] == '__searchoptions__') {

                    if ($cw[1] == 'type') {
                        $search_options[$cw[1]] = $cw[2];
                        continue;
                    }

                    if ($cw[1] == 'inputsize') {
                        $search_options[$cw[1]] = $cw[2];
                        continue;
                    }

                    if ($cw[1] == 'orderby') {
                        $is_a_orderby = true;
                        $a_order = explode ("|", $cw[2]);
                        if (is_array($a_order) && count($a_order)) {
                            foreach($a_order as $orderitem) {
                                $a_orderitem = explode("=>", $orderitem);
                                $order_struct[$a_orderitem[0]] = $a_orderitem[1];
                            }
                        }
                    }
                
                    if ($cw[1] == 'daterangeyear') {
                        $t_years = explode(",", $cw[2]);
                        $search_options['daterangestart'] = $t_years[0];
                        if (count($t_years))
                            $search_options['daterangeendgap'] = $t_years[1];
                        continue;
                    }

                    if ($cw[1] == 'label' || $cw[1] == 'size') {
                        $a_ls = explode("|", $cw[2]);
                        $search_options[$cw[1]][$a_ls[0]] = $a_ls[1];
                        continue;
                    }

                    if ($cw[1] == 'defaultdatestart') {
                        $search_options[$cw[1]] = $cw[2];
                        continue;
                    }

                    if ($cw[1] == 'defaultdateend') {
                        $search_options[$cw[1]] = $cw[2];
                        continue;
                    }
                    
                    if ($cw[1] == 'hiddenfield') {
                        $a_h = explode("|", $cw[2]);
                        $search_options[$cw[1]][$a_h[0]] = $a_h[1];
                        continue;
                    }

                }


                if (substr($cw[2], 0, $ldaterangeopt)  == '__daterange__') {

                    // default delle date

                    $c_year_t1  = $_POST['rs']['daterange']['t1']['yy'];
                    $c_month_t1 = $_POST['rs']['daterange']['t1']['mm'];
                    $c_day_t1 = $_POST['rs']['daterange']['t1']['dd'];

                    $c_year_t2  = $_POST['rs']['daterange']['t2']['yy'];
                    $c_month_t2 = $_POST['rs']['daterange']['t2']['mm'];
                    $c_day_t2 = $_POST['rs']['daterange']['t2']['dd'];


                    $label_daterange_from = "Da";
                    $label_daterange_to = "a";

                    $label_daterange = substr($cw[2], $ldaterangeopt, 1024);

                    if (trim($label_daterange) != '') {
                        $a_dr_labels = explode("|", $label_daterange);
                        $label_daterange = $a_dr_labels[0];

                        if (is_array($a_dr_labels)) {
                            $nlabels = count($a_dr_labels);
                            if ($nlabels > 1)
                                $label_daterange_from = $a_dr_labels[1];
                            if ($nlabels > 2)
                                $label_daterange_to = $a_dr_labels[2];
                        }

                        $label_daterange .= "&nbsp;&nbsp;";
                    } // if (trim(

                    $is_a_daterange = true;


                    $t = time();
                    $now = getdate($t);
                   
                    // default per data iniziale e finale
                    if (isset($search_options['defaultdatestart']) && !$_POST['rs']['daterange']['t1']['yy'] &&  !$_POST['rs']['daterange']['t1']['mm'] &&  !$_POST['rs']['daterange']['t1']['dd']) {

                        if ($search_options['defaultdatestart'] == 'week') {

                            $daygap = $now['wday'] - 1;
                            $t0 = $t - ($daygap * 86400);
                            
                            $c_year_t1 = sprintf("%4d", date("Y", $t0));
                            $c_month_t1 = sprintf("%02d", date("m", $t0));
                            $c_day_t1 = sprintf("%02d", date("d", $t0));

                        }
                        else if ($search_options['defaultdatestart'] == 'month') {
                            // to be implemented
                        }
                        else if ($search_options['defaultdatestart'] == 'year') {
                            // to be implemented
                        }
                        else if ($search_options['defaultdatestart'] == 'today') {                            
                            $c_year_t1 = sprintf("%4d", date("Y", $t));
                            $c_month_t1 = sprintf("%02d", date("m", $t));
                            $c_day_t1 = sprintf("%02d", date("d", $t));
                        }                    
                    }  

                    if (isset($search_options['defaultdateend']) && !$_POST['rs']['daterange']['t2']['yy'] &&  !$_POST['rs']['daterange']['t2']['mm'] &&  !$_POST['rs']['daterange']['t2']['dd']) {

                        if ($search_options['defaultdateend'] == 'week') {

                            $t1 = $t0 + 7 * 86400;
                            
                            $c_year_t2 = sprintf("%4d", date("Y", $t1));
                            $c_month_t2 = sprintf("%02d", date("m", $t1));
                            $c_day_t2 = sprintf("%02d", date("d", $t1));

                        }
                        else if ($search_options['defaultdateend'] == 'month') {
                            // to be implemented
                        }
                        else if ($search_options['defaultdateend'] == 'year') {
                            $c_year_t2 = sprintf("%4d", date("Y", $t));
                            $c_month_t2 = sprintf("%02d", 12);
                            $c_day_t2 = sprintf("%02d", 31);
                        }
                    }  


                    // supporto tendina per scelta di tipo data
                    if (strpos($cw[0], ",") !== false) {
                        $multiple_date = true;
                        $a_daterange_m_fields = explode(",", $cw[0]);

                        if (isset($_POST['rs']['daterange_field_name']))
                            $cw[0] = $_POST['rs']['daterange_field_name'];
                        else
                            $cw[0] = $a_daterange_m_fields[0];
                    }

                    // alcune correzioni sulle date

                    // un aggiustamento sulle date se l'anno e' != 0 e il resto
                    if ($_POST['rs']['daterange']['t1']['yy'] != '0000') {
                        if ($_POST['rs']['daterange']['t1']['mm'] == '00')
                            $_POST['rs']['daterange']['t1']['mm'] = '01';

                        if ($_POST['rs']['daterange']['t1']['dd'] == '00')
                            $_POST['rs']['daterange']['t1']['dd'] = '01';
                    }

                    if ($_POST['rs']['daterange']['t2']['yy'] != '0000') {
                        if ($_POST['rs']['daterange']['t2']['mm'] == '00')
                            $_POST['rs']['daterange']['t2']['mm'] = '12';

                        if ($_POST['rs']['daterange']['t2']['dd'] == '00')
                            $_POST['rs']['daterange']['t2']['dd'] = '31';
                    }

                    if (isset($search_options['daterangestart']))
                        $startyear = $search_options['daterangestart'];
                    else
                        $startyear = 2000;

                    $curryear = date("Y");

                    if (isset($search_options['daterangeendgap']))
                        $curryear += $search_options['daterangeendgap'];

                    if ($curryear < $startyear)
                        $curryear = $startyear + 5;

                    $s_range1_dd = "<select class=\"reporterInput\" size=\"1\" name=\"" . "rs[daterange][t1][dd]" . "\" id=\"" . "rs_daterange_t1_dd" . "\">\n";
                    $s_range2_dd = "<select class=\"reporterInput\" size=\"1\" name=\"" . "rs[daterange][t2][dd]" . "\" id=\"" . "rs_daterange_t2_dd" . "\">\n";

                    $s_range1_mm = "<select class=\"reporterInput\" size=\"1\" name=\"" . "rs[daterange][t1][mm]" . "\" id=\"" . "rs_daterange_t1_mm" . "\">\n";
                    $s_range2_mm = "<select class=\"reporterInput\" size=\"1\" name=\"" . "rs[daterange][t2][mm]" . "\" id=\"" . "rs_daterange_t2_mm" . "\">\n";

                    $s_range1_yy = "<select class=\"reporterInput\" size=\"1\" name=\"" . "rs[daterange][t1][yy]" . "\" id=\"" . "rs_daterange_t1_yy" . "\">\n" .
                                    "<option value=\"0000\">0000</option>\n";
                    $s_range2_yy = "<select class=\"reporterInput\" size=\"1\" name=\"" . "rs[daterange][t2][yy]" . "\" id=\"" . "rs_daterange_t2_yy" . "\">\n" .
                                    "<option value=\"0000\">0000</option>\n";

                    for ($z = 0; $z < 32; $z++) {
                        if ($z < 10)
                            $sz = "0" . $z;
                        else
                            $sz = $z;

                        if ($c_day_t1 == $sz)
                            $s_dd1_selected = "selected";
                        else
                            $s_dd1_selected = "";

                        if ($c_day_t2 == $sz)
                            $s_dd2_selected = "selected";
                        else
                            $s_dd2_selected = "";

                        $s_range1_dd .= "<option $s_dd1_selected value=\"" . $sz .  "\">$sz</option>\n"; 
                        $s_range2_dd .= "<option $s_dd2_selected value=\"" . $sz .  "\">$sz</option>\n"; 
                    }

                    for ($z = 0; $z < 13; $z++) {
                        if ($z < 10)
                            $sz = "0" . $z;
                        else
                            $sz = $z;

                        if ($c_month_t1 == $sz)
                            $s_mm1_selected = "selected";
                        else
                            $s_mm1_selected = "";

                        if ($c_month_t2 == $sz)
                            $s_mm2_selected = "selected";
                        else
                            $s_mm2_selected = "";

                        $s_range1_mm .= "<option $s_mm1_selected value=\"" . $sz .  "\">$sz</option>\n"; 
                        $s_range2_mm .= "<option $s_mm2_selected value=\"" . $sz .  "\">$sz</option>\n"; 
                    }

                    for ($z = $startyear; $z <= $curryear; $z++) {

                        if ($c_year_t1 == $z)
                            $s_yy1_selected = "selected";
                        else
                            $s_yy1_selected = "";

                        if ($c_year_t2 == $z)
                            $s_yy2_selected = "selected";
                        else
                            $s_yy2_selected = "";

                        $s_range1_yy .= "<option $s_yy1_selected value=\"" . $z .  "\">$z</option>\n"; 
                        $s_range2_yy .= "<option $s_yy2_selected value=\"" . $z .  "\">$z</option>\n"; 
                    }

                    $s_range1_dd .= "</select>\n";
                    $s_range2_dd .= "</select>\n";
                    $s_range1_mm .= "</select>\n";
                    $s_range2_mm .= "</select>\n";
                    $s_range1_yy .= "</select>\n";
                    $s_range2_yy .= "</select>\n";

                } // if ($cw[2] == '__daterange__'

                else if (substr($cw[2], 0, 8) == '__enum__' || substr($cw[2], 0, 8) == '__etum__' || substr($cw[2], 0, 8) == '__erum__') {

                    // __enum__Field label_2=>value 1|Label 2=>value 2...
                    // __etum__Field lable_tablename_keyfield_valuefield

                    $is_an_enum = true;
                    $s_enum_field = "";

                    $is_an_etum = substr($cw[2], 0, 8) == '__etum__';
                    $is_an_erum = substr($cw[2], 0, 8) == '__erum__';
 
                    if ($is_an_etum || $is_an_erum)
                        $sepchar = '<';
                    else
                        $sepchar = '_';

                    $pre_enum_string = substr($cw[2], 8);                    
                    $a_enumdata = explode($sepchar, $pre_enum_string); 
                    
                    if (is_array($a_enumdata) && count($a_enumdata)) {
                        $label = $a_enumdata[0] . ": ";
                        $enum_string = $a_enumdata[1];
                    }
                    else {
                        $label = "";
                        $enum_string = "";
                    }


                    if (!$is_an_etum && !$is_an_erum)
                        $a_enum_values = explode("|", $enum_string);
                    elseif ($is_an_etum) {

                        $enum_tconf = explode("|", $enum_string);
                        // alla ricerca delle voci enum da tabella
                    
                        $selected_fields = "`" . $enum_tconf[1] . "`";
                        if ($enum_tconf[1] != $enum_tconf[2])
                            $selected_fields .= ", `" . $enum_tconf[2] . "`";

                        // controllo cosi`...
                        if (strpos($enum_tconf[0], "user") !== false)
                            die("Fatal Error: Could not access to table '" . $enum_tconf[0] . "'");

                        if (trim($enum_tconf[3] == ''))
                            $enum_filter = "";
                        else
                            $enum_filter = "WHERE " . $enum_tconf[3];


                        $dbquery = "SELECT " . $selected_fields . " FROM `" . $enum_tconf[0] . "` $enum_filter ORDER BY `" . $enum_tconf[2] . "` ASC";

                        $rsenum = $connh->Execute($dbquery) or
                            die ("Query error:<br />" . $connh->ErrorMsg());
                        
                        $a_enum_values = array();

                        while (!$rsenum->EOF) {
                            $enumitem_key = $rsenum->fields($enum_tconf[1]);
                            $enumitem_label = $rsenum->fields($enum_tconf[2]);
                            
                            $a_enum_values[] = $enumitem_label . "=>" . $enumitem_key;

                            $rsenum->MoveNext();
                        } // while
                    }
                    elseif ($is_an_erum) {
                        require_once "modules/priscilla_datatonic/inc/real_config.inc.php";
                        require_once "adm/lib/nusoap.php";

                        $enum_tconf = explode("|", $enum_string);
                        // alla ricerca delle voci enum da tabella
                    
                        $selected_fields = "`" . $enum_tconf[1] . "`";
                        if ($enum_tconf[1] != $enum_tconf[2])
                            $selected_fields .= ", `" . $enum_tconf[2] . "`";

                        // controllo cosi`...
                        if (strpos($enum_tconf[0], "user") !== false)
                            die("Fatal Error: Could not access to table '" . $enum_tconf[0] . "'");

                        if (trim($enum_tconf[3] == ''))
                            $enum_filter = "";
                        else
                            $enum_filter = "WHERE " . $enum_tconf[3];

                        // decrittazione password
                        $cpwd = base64_decode(PRISCILLA_DATATONIC_ACCESS_PASSWORD);
                        $ckey = $priscilla_local_path;
                        if ($ckey{strlen($ckey) - 1} != "/")
                            $ckey .= "/";
                        $rc4 = new Crypt_RC4($ckey);
                        $rc4->decrypt($cpwd);
                        $priscilla_datatonic_password = $cpwd;
                        unset($rc4);

                        $client = new soapclient0(PRISCILLA_DATATONIC_SERVER_PATH.'/datatonic_priscilla.php');
                        if ($fault = $client->getError())
                            $ret = "<span>ERROR DT CLIENT: <strong>".$fault."</strong></span>";
            
                        $param = array();
                        $param['datatonic_username'] = PRISCILLA_DATATONIC_ACCESS_USERNAME;
                        $param['datatonic_password'] = $priscilla_datatonic_password;
                        
                        $data = array();
                        $data['table'] = $enum_tconf[0];
                        $data['fields'] = $selected_fields;
                        $data['where'] = $enum_filter;
                        $data['order'] = $enum_tconf[2];
                        $data['key'] = $enum_tconf[1];
                        $data = serialize($data);
                        $data = bzcompress($data);
                        $data = base64_encode($data);
                        $data = addcslashes($data, "\0..\37!@\@\177..\377");
                        $data = addslashes($data);
                        $param['data'] = $data;
                        unset($data);

                        $search_result = $client->call("reporter_get_erum", $param);
                        if ($fault = $client->getError())
                            echo "PRISCILLA DATATONIC ERROR: <strong>" . $fault . "</strong>";
                        unset($client);

                        $search_result = stripslashes($search_result);
                        $search_result = stripcslashes($search_result);
                        $search_result = base64_decode($search_result);
                        $search_result = bzdecompress($search_result);
                        $search_result = unserialize($search_result);

                        $a_enum_values = $search_result;
                    }
 
                    if (is_array($a_enum_values) && count($a_enum_values)) {

                        foreach ($a_enum_values as $enumitem) {
                            $a_enumitem = explode('=>', $enumitem);

                            if (is_array($a_enumitem) && count($a_enumitem) == 2) {

                                if ($s_enum_field == '')
                                    $s_enum_field .=
                                        "<select class=\"reporterInput\" size=\"1\" name=\"rs[words][$cw[0]][2]\" id=\"rs_words_".$cw[0]."_2\">\n" .
                                        "<option value=\"\"></option>\n";

                                $is_selected = $_POST['rs']['words'][$cw[0]][2] == $a_enumitem[1] ? "selected" : "";

                                $s_enum_field .= "<option $is_selected value=\"" . $a_enumitem[1] . "\">" . $a_enumitem[0] . "</option>\n";
                            } // if (is_array
                        } // foreach

                    } // if (is_array

                    if ($s_enum_field != '')
                        $s_enum_field .= "</select>\n";
                }
                else
                    $label = $cw[2] . ": ";
            } 
            else
                $label = "";





            $last_value = stripslashes(str_replace('"', '&quot;', $_POST['rs']['words'][$cw[0]][2]));
            if (trim($last_value) != '')
                $not_empty = true;


            $sform .=
               "<input type=\"hidden\" name=\"rs[words][$cw[0]][0]\" id=\"rs_words_".$cw[0]."_0\" value=\"$cw[0]\" />\n" .
                "<input type=\"hidden\" name=\"rs[words][$cw[0]][1]\" id=\"rs_words_".$cw[0]."_1\" value=\"$cw[1]\" />\n";

                if ($is_a_daterange) {

                    if ($multiple_date) {
                        $t_select_fields = "<select name=\"rs[daterange_field_name]\" class=\"reporterInput\" size=\"1\" id=\"dateRangeFieldName\">\n";
                        // elenco dei campi nel daterange
                        foreach ($a_daterange_m_fields as $drf) {
                            $is_selected = $_POST['rs']['daterange_field_name'] == $drf ? "selected" : "";
                            if (isset($search_options['label'][$drf]))
                                $s_drf = $search_options['label'][$drf];
                            else
                                $s_drf = $drf;

                            $t_select_fields .= "<option $is_selected value=\"$drf\">$s_drf</option>\n";
                        }
                        $t_select_fields .= "</select>\n";

                        $label_daterange = $t_select_fields;
                    }
                    else $t_select_fields = "";

                    $sform .=
                        "<input type=\"hidden\" name=\"rs[daterange][fieldname]\" id=\"rs_daterange_fieldname\" value=\"$cw[0]\" />\n" .
                        "<input type=\"hidden\" name=\"rs[daterange][tablename]\" id=\"rs_daterange_tablename\" value=\"$cw[1]\" />\n" .
                        "<div id=\"reporterField" . $cw[0] . "\">" . $label_daterange . $label_daterange_from . ":&nbsp;$s_range1_dd&nbsp;$s_range1_mm&nbsp;$s_range1_yy&nbsp;" . $label_daterange_to .
                        ":&nbsp;$s_range2_dd&nbsp;$s_range2_mm&nbsp;$s_range2_yy" . "</div>\n";

                    $not_empty = true;

                }
                else if ($is_an_enum) {
                    if ($s_enum_field != '')
                        $sform .= "<div id=\"reporterField" . str_replace(",", "O", $cw[0])  . "\">" . $label . $s_enum_field . "</div>\n";
                }
                else if ($is_a_orderby && is_array($order_struct) && count($order_struct)) {
                    $sform .= 
                            "<div id=\"reporterOrder\">\n" .
                            "Ordina per" .
                            "<select size=\"1\" name=\"reporterOrderField\" class=\"reporterInput\">\n";

                    foreach ($order_struct as $olabel=>$ovalue) {
                        $is_selected = $_POST['reporterOrderField'] == $ovalue ? "selected" : "";
                        $sform .= "<option $is_selected value=\"" . $ovalue . "\">" . $olabel . "</option>\n";
                    }
                    $sform .= "</select>\n";

                    $sform .= "<select size=\"1\" name=\"reporterOrderVersus\" class=\"reporterInput\">\n";

                    foreach ($order_versus as $olabel=>$ovalue) {
                        $is_selected = $_POST['reporterOrderVersus'] == $ovalue ? "selected" : "";
                        $sform .= "<option $is_selected value=\"" . $ovalue . "\">" . $olabel . "</option>\n";
                    }
                    $sform .= "</selected>\n";

                    $sform .= "</div>\n";
                }
                else {
                    if (isset($search_options['size'][$cw[0]]) && is_numeric($search_options['size'][$cw[0]]))
                        $ssize = "size=\"" . $search_options['size'][$cw[0]] . "\"";
                    else if (isset($search_options['inputsize']) && is_numeric($search_options['inputsize']))
                        $ssize = "size=\"" . $search_options['inputsize'] . "\"";

                    if (isset($search_options['hiddenfield'][$cw[0]]))
                        $sform .= "<input class=\"reporterInput\" type=\"hidden\" name=\"rs[words][$cw[0]][2]\" id=\"rs_words_".$cw[0]."_2\" $ssize value=\"" . $search_options['hiddenfield'][$cw[0]]  . "\" />\n";
                    else
                        $sform .= "<div class=\"reporterField\" id=\"reporterField" . str_replace(",", "O", $cw[0]) . "\">" . $label . "<input class=\"reporterInput\" type=\"text\" name=\"rs[words][$cw[0]][2]\" id=\"rs_words_".$cw[0]."_2\" $ssize value=\"" . $last_value  . "\" />" . "</div>\n";
                }

        } // if
    }

    $is_checked = $_POST['rs']['type'] ? "checked" : "";


    if (isset($search_options['type']))
        $sform .= "<input name=\"rs[type]\" id=\"rs_type\" type=\"hidden\" value=\"" . $search_options['type'] . "\" />";
    else
        $sform .= "<div class=\"reporterSearchAllWords\" id=\"reporterSearchAllWords\">" . "<input name=\"rs[type]\" id=\"rs_type\" class=\"reporterInput\" $is_checked type=\"checkbox\" value=\"1\" />&nbsp;" . "tutte le parole" . "</div>\n";

    $sform .=
        "\n<div id=\"reporterSearchButton\">\n" .
        "<input class=\"reporterSearchButton\" name=\"Search\" id=\"Search\" type=\"submit\" value=\"Cerca\" />\n" .
        "<input class=\"reporterSearchButton\" onClick=\"document.location.href='index.phtml?id=" . $_GET['id']  . "';\" name=\"bEmpty\" id=\"Empty\" type=\"button\" value=\"Svuota form\" />\n" .
        "</div>\n" .
        "\n\n</div>\n</form>\n";


           
    // si rimuovono eventuali risultati in sessione

    if (isset($_SESSION['PRISCILLA_SESSION']) && $_GET['ps'] != 'y') {
        $_SESSION['PRISCILLA_SESSION']->remove('reporterSearchResults');
        $_SESSION['PRISCILLA_SESSION']->remove('reporterSearchWords');
        $_SESSION['PRISCILLA_SESSION']->remove('reporterSearchWordsMap');
        $_SESSION['PRISCILLA_SESSION']->remove('reporterSearchCount');
        $_SESSION['PRISCILLA_SESSION']->remove('reporterSearchPost', $_POST);
    }

    // qui si fa per davvero la ricerca

    if (isset($_POST['rs'])) {


        // sovrascrittura campo date range se presente la tendina di selezione data di ricerca
        if (isset($_POST['rs']['daterange_field_name'])) {
            $dr_good_fieldname = $_POST['rs']['daterange_field_name'];

            if (isset($_POST['rs']['daterange']['fieldname'])) {
                $current_dr_fieldname = $_POST['rs']['daterange']['fieldname'];
                $current_dr_fieldname_data = $_POST['rs']['words'][$current_dr_fieldname];
                $current_dr_fieldname_data[0] = $dr_good_fieldname;
                
                unset($_POST['rs']['words'][$current_dr_fieldname]);
                $_POST['rs']['words'][$dr_good_fieldname] = $current_dr_fieldname_data;
                $_POST['rs']['daterange']['fieldname'] = $dr_good_fieldname;

            }
        }

        if ($not_empty === true) {
            $a_words = $_POST['rs']['words'];
            $sconf['words'] = array();
            $a_tables = array();
            $search_words = array();


            foreach ($a_words as $k=>$v) {

                if ($v[0] == "__default__")
                    $v[0] = '';

                $v2 = stripslashes(trim($v[2]));

                if ($v2 == '')
                    continue;

                $is_phrase = false;
                if ($v2{0} == '"' && $v2{strlen($v2) - 1} == '"') {
                    $is_phrase = true;
                    $v2 = substr(substr($v2, 1), 0, -1);
                }


                // spezza ed estrae piu' parole
                if (!$is_phrase)
                     $a_v2 = explode(" ", $v2);
                else
                    $a_v2[] = $v2;

                foreach ($a_v2 as $ww) {
                    if (trim($ww) != '' && strlen($ww) > 0)
                        $sconf['words'][] = $v[0] . ":" . $v[1] . ":" . $ww;
                    $search_words[] = $ww;
                }

                if (trim($v[1]) != '') {
                    $list_tables = explode(",", $v[1]);
                    foreach ($list_tables as $ctable)
                        if (!in_array($ctable, $a_tables))
                            $a_tables[] = $ctable;
                }
            } // foreach


            // aggiunta di un eventuale range di date

            if (isset($_POST['rs']['daterange']) && is_array($_POST['rs']['daterange'])) {

                $t1 = $_POST['rs']['daterange']['t1'];
                $t2 = $_POST['rs']['daterange']['t2'];
                $ctable = $_POST['rs']['daterange']['tablename'];


                $date1 = $t1['yy'] . "-" . $t1['mm'] . "-" . $t1['dd'];
                $date2 = $t2['yy'] . "-" . $t2['mm'] . "-" . $t2['dd'];


                if (
                    ($date1 != '0000-00-00' && ($t1['yy'] != '0000' || $t1['mm'] != '00' || $t1['dd'] != '00')) ||
                    ($date2 != '0000-00-00' && ($t2['yy'] != '0000' || $t2['mm'] != '00' || $t2['dd'] != '00'))) {


                
                    if (!in_array($ctable, $a_tables))
                        $a_tables[] = $ctable;


                    $sconf['words'][] = $_POST['rs']['daterange']['fieldname'] . ":" . $ctable . ":" . $date1 . "," . $date2;
                }
            } // if (isset($_POST['rs']['daterange'] 


            $sconf['type'] = isset($_POST['rs']['type']) ? 1 : 0;
            $sconf['selectf'] = isset($_POST['rs']['selectf']) ? $_POST['rs']['selectf'] : "id";
            $sconf['a_tables'] = $a_tables;

            if (!isset($_POST['rstart']) || !is_numeric($_POST['rstart']) || $_POST['rstart'] < 0)
                $sconf['start_page'] = 1;
            else
                $sconf['start_page'] = $_POST['rstart'];


            // anche diciamo se la ricerca e' avvenuta da loggati
            $sconf['logged'] = 0;

            if ($PRISCILLA_SESSION->exists('login_auth_id')) {
                $mytemp_login_auth_id = $PRISCILLA_SESSION->getvalue('login_auth_id');
                if ($mytemp_login_auth_id == md5($_COOKIE['login'] . $_COOKIE['firma']))
                    $sconf['logged'] = 1;
            }

            // un login alla community, non specificata
            if ($PRISCILLA_SESSION->exists('community_user')) {
                $cu = $PRISCILLA_SESSION->getvalue('community_user');
                    if (trim($cu->username) != '' && trim($cu->password) != '')
                        $sconf['logged'] = 2;
            }

            // ordinamento
            if (trim($_POST['reporterOrderField']) != '')
                $sconf['orderby'] = $_POST['reporterOrderField'];
            if (trim($_POST['reporterOrderVersus']) != '')
                $sconf['orderversus'] = $_POST['reporterOrderVersus'];

            require_once "adm/lib/nusoap.php";
            require_once "modules/priscilla_datatonic/inc/real_config.inc.php";
            require_once "packages/crypt/Rc4.php";

            $serverpath = PRISCILLA_DATATONIC_SERVER_PATH . "/datatonic_priscilla.php";

            $client = new soapclient0($serverpath);
            if ($fault = $client->getError())
                echo "PRISCILLA DATATONIC ERROR (s1): <strong>". $fault . "</strong>";

            // decrittazione password
            $cpwd = base64_decode(PRISCILLA_DATATONIC_ACCESS_PASSWORD);
            $ckey = $priscilla_local_path;
            if ($ckey{strlen($ckey) - 1} != "/")
                $ckey .= "/";
            $rc4 = new Crypt_RC4($ckey);
            $rc4->decrypt($cpwd);
            $priscilla_datatonic_password = $cpwd;
            unset($rc4);

            $data = serialize($sconf);
            $data = bzcompress($data);
            $data = base64_encode($data);
            $data = addcslashes($data, "\0..\37!@\@\177..\377");
            $data = addslashes($data);

            $param = array();
            $param['datatonic_username'] = PRISCILLA_DATATONIC_ACCESS_USERNAME;
            $param['datatonic_password'] = $priscilla_datatonic_password;
            $param['data'] = $data;

            $search_result = $client->call("reporter_do_search", $param);

            if ($fault = $client->getError())
                echo "PRISCILLA DATATONIC ERROR (s2): <strong>" . $fault . "</strong>";
            unset($client);

            $search_result = stripslashes($search_result);
            $search_result = stripcslashes($search_result);
            $search_result = base64_decode($search_result);
            $search_result = bzdecompress($search_result);
            $search_result = unserialize($search_result);

            $_SESSION['PRISCILLA_SESSION']->add('reporterSearchResults', $search_result['search_results']);
            $_SESSION['PRISCILLA_SESSION']->add('reporterSearchCount', $search_result['results_count']);
            $_SESSION['PRISCILLA_SESSION']->add('reporterSearchWords', $search_words);
            $_SESSION['PRISCILLA_SESSION']->add('reporterSearchWordsMap', $search_result['si_fields_map']);
            $_SESSION['PRISCILLA_SESSION']->add('reporterSearchPost', $_POST);
           

            unset($search_result);
        } // if

    } // if

    $subst = $sform;

return $subst;
}


function priscilladatatonicfoundcount ($connh, $row, &$PRISCILLA_SESSION, $options) {

    if (!isset($_POST['fromreportersearch']) && $_GET['ps'] != 'y')
        $subst = "";
    else {

        $msg = "";
        $parts = explode('_', $tagname);
        if (is_array($parts) && count($parts) > 1) {
            for ($i = 1; $i < count($parts); $i++)
                $msg .= $parts[$i] . " ";
        }

        $nres = $_SESSION['PRISCILLA_SESSION']->getvalue('reporterSearchCount');
        if (!is_numeric($nres))
            $nres = 0;
        $subst = $msg . " " . $nres;
    }

return $subst;
}

function priscilladatatonicnavigator ($connh, $row, &$PRISCILLA_SESSION, $options) {

    $nres = 0;
    $subst = '';

    if (isset($_SESSION['PRISCILLA_SESSION']) && $_SESSION['PRISCILLA_SESSION']->exists('reporterSearchCount')) {
        $nres = $_SESSION['PRISCILLA_SESSION']->getvalue('reporterSearchCount');
//        $_SESSION['PRISCILLA_SESSION']->remove('reporterSearchCount');
    }

    $npages = (int)($nres / N_RESULTS_PER_PAGE);

    if ($nres % N_RESULTS_PER_PAGE)
        $npages++;

    $current_page = is_numeric($_POST['rstart']) ? $_POST['rstart'] : 1;


    // se la pagina corrente e' > 10 si fa in modo di stampare sempre 10 pagine
    if ($current_page > 10 && $current_page <= $npages)
        $start_page = $current_page - 9;
    else
        $start_page = 1;

    $end_page = $start_page + 9;

    if ($end_page > $npages)
        $end_page = $npages;

    if ($npages > 1) {
        for ($i = $start_page; $i <= $end_page;  $i++) {

            if ($i == $current_page)
                $subst .= "&nbsp;<span class=\"reporter_number_current\">$i</span>";
            else
                $subst .= "&nbsp;<a href=\"javascript:rpp(" . $i .");\" class=\"reporterNumber\">" . $i . "</a>";
        }

        if ($start_page != 1) {

            $gap = 10;
            $sp = $current_page - $gap;

/*
            $subst =
                "<a href=\"javascript:rpp(" . $sp . ");\" class=\"reporterPreviuous\">" . "Precedente" . "</a>" .
                "&nbsp;" .
                $subst;
*/

            $subst =
                "<a href=\"javascript:rpp(" . $sp . ");\" class=\"reporterPreviuous\">" . "Precedenti &laquo; " .
                "</a>" .
                "&nbsp;" .
                $subst;

        }

        if ($end_page != $npages) {

            $gap = 10;
            if ($current_page + 10 > $npages)
                $gap = $npages - $current_page;

            $ep = $current_page + $gap;

/*
 
            $subst .=
                "&nbsp;" .
                "<a href=\"javascript:rpp(" . $ep . ");\" class=\"reporterNext\">" . "Successivo" . "</a>";
*/

            $subst .=
                "&nbsp;" .
                "<a href=\"javascript:rpp(" . $ep . ");\" class=\"reporterNext\">" . " &raquo; Successive" . "</a>";

        }
    }

return $subst;
}


function priscilladatatonicsearchindex ($connh, $row, &$PRISCILLA_SESSION, $options) {

    $subst = '';

    if (is_numeric($_POST['rstart']))
        $rstart = $_POST['rstart'];
    else
        $rstart = 1;

    
    if (isset($_SESSION['PRISCILLA_SESSION']) && $_SESSION['PRISCILLA_SESSION']->exists('reporterSearchCount')) {
        $totale = $_SESSION['PRISCILLA_SESSION']->getvalue('reporterSearchCount');

        if (!$totale)
            return '';

        $nstart = ($rstart - 1) * N_RESULTS_PER_PAGE + 1;
        $nend = ($rstart - 1) * N_RESULTS_PER_PAGE + N_RESULTS_PER_PAGE;
        if ($totale < $nend)
            $nend = $totale;

        $subst = $nstart . " - " . $nend . " / " . $totale;
    }

return $subst;
}



function priscilladatatoniceditrecord ($connh, $row, &$PRISCILLA_SESSION, $options) {

    $id_op = $options["id"];
    $tpl_op = $options["tpl"];
    $linktext_op = $options["linktext"];	

    $subst = '';

    if ($PRISCILLA_SESSION->exists('login_auth_id')) {
        $mytemp_login_auth_id = $PRISCILLA_SESSION->getvalue('login_auth_id');

        if (is_array($parts) && count($parts) == 4 && $mytemp_login_auth_id == md5($_COOKIE['login'] . $_COOKIE['firma']))
            $subst = "<a target=\"_blank\" class=\"peditarchive\" href=\"sc.php?id=" . $id_op . "&tpl=" . $tpl_op . ".tpl" . "&edit=" . "yes" . "\">" . $linktext_op . "</a>";

    }

return $subst;
}

function priscilladatatonicclonerecord ($connh, $row, &$PRISCILLA_SESSION, $options) {

    $subst = '';

    $id_op = $options["id"];
    $tpl_op = $options["tpl"];
    $linktext_op = $options["linktest"];

    if ($PRISCILLA_SESSION->exists('login_auth_id')) {
        $mytemp_login_auth_id = $PRISCILLA_SESSION->getvalue('login_auth_id');

        if (is_array($parts) && count($parts) == 4 && $mytemp_login_auth_id == md5($_COOKIE['login'] . $_COOKIE['firma']))
            $subst = "<a target=\"_blank\" class=\"pclonearchive\" href=\"sc.php?id=" . $id_op . "&tpl=" . $tpl_op . ".tpl" . "&clone=" . "yes" . "\">" . $linktext_op . "</a>";

    }

return $subst;
}


function priscilladatatonicdeleterecord ($connh, $row, &$PRISCILLA_SESSION, $options) {

    $subst = '';

    $id_op = $options["id"];
    $tpl_op = $options["tpl"];
    $linktext_op = $options["linktest"];

    if ($PRISCILLA_SESSION->exists('login_auth_id')) {
        $mytemp_login_auth_id = $PRISCILLA_SESSION->getvalue('login_auth_id');

        if (is_array($parts) && count($parts) == 4 && $mytemp_login_auth_id == md5($_COOKIE['login'] . $_COOKIE['firma']))
            $subst = "<a class=\"pdeletearchive\" href=\"javascript:if (confirm('Procedere con la cancellazione?')) document.location.href = '" . "sc.php?id=" . $id_op . "&tpl=" . $tpl_op . ".tpl" . "&delete=" . "yes" . "&fromid=" . $_GET['id'] . "'; else alert('Cancellazione annullata.');" . "\">" . $linktext_op . "</a>";

    }

return $subst;
}


// sintassi: priscilladatatonictaglinear_idconf_linearfunction_key1_param1_key2_param2_keyn_paramn
// idconf e` l'id della configurazione del modulo priscilla-datatonic
// linearfunction è il nome del tag linear di datatonic da chiamare
// di seguito separati da _ tutte le n coppie chiave-valore dei parametri alla funzione. le chiavi possono essere frompost[1 to n] per assegnare valori dal post

/*
function priscilladatatonictaglinear ($connh, $row, &$PRISCILLA_SESSION, $options) {

    // se abbiamo speciaficato l'id della configurazione datatonic-priscilla e il nome della function da chiamare
    if ($options["tagname"] != '' && is_numeric($options["id"]) && trim($options["opt"]) != "") {

	$id_op = $options["id"];
        $tagname_op = $options["tagname"]; 
        $options = explode("_", $options["opt"]);

	print_r($_POST["options"]);

    
        $rs = $connh->Execute("SELECT * FROM datatonic_conf WHERE id='". $id_op."'");
        if ($rs->RecordCount() > 0) {
            $datatonic_conf = $rs->fields;
    
            require_once "adm/lib/nusoap.php";
        
            $serverpath = $datatonic_conf['serverpath']."datatonic_linear_function.php";

            $client = new soapclient0($serverpath);
            if ($fault = $client->getError())
                $ret = "<span>ERROR DT CLIENT: <strong>".$fault."</strong></span>";

            $param = array();
            $param['datatonic_username'] = $datatonic_conf['username'];
            $param['datatonic_password'] = $datatonic_conf['password'];
            $param['func_name'] = $tagname_op;

            $param['param'] = array();
            for ($i = 0; $i <= count($options); $i++) {
                if (trim($options[$i]) != '') {
                    if (strstr($options[$i], 'frompost')) {
                        $param['param'][$options[++$i]] = is_array($_POST[$options[$i]]) ? serialize($_POST[$options[$i]]) : $_POST[$options[$i]];
                    }
                    if (strstr($options[$i], 'fromsession')) {
                        $sessval = $_SESSION['PRISCILLA_SESSION']->getvalue($options[++$i]);
                        $param['param'][$options[$i]] = is_array($sessval) ? serialize($sessval) : $sessval;
                    }
                    else $param['param'][$options[$i]] = $options[++$i];
                }
            }


            $ret = $client->call("datatonic_linear_function", $param);
            if ($fault = $client->getError())
                $ret = "<span>ERROR CALLING DT FUNCTION: <strong>".$fault."</strong></span>";

            unset($client);

            if (is_string($ret)) $subst = $ret;
            else $subst = '';
        }
    }

return $subst;
}
*/



// sintassi: priscilladatatonictaglinear_idconf_linearfunction_key1_param1_key2_param2_keyn_paramn
// idconf e` l'id della configurazione del modulo priscilla-datatonic
// linearfunction <C3><A8> il nome del tag linear di datatonic da chiamare
// di seguito separati da _ tutte le n coppie chiave-valore dei parametri alla funzione. le chiavi possono essere frompost[1 to n] per assegnare valori dal post
function priscilladatatonictaglinear ($connh, $row, &$PRISCILLA_SESSION, $rawoptions) {

    $subst = "";
    $tagname = $rawoptions["tagname"];
    $options = explode('_', $tagname);

/*
    echo $tagname . "***<br />";
    echo "<pre>";
	print_r($_POST);
    echo "</pre>";
*/



    // se abbiamo speciaficato l'id della configurazione datatonic-priscilla e il nome della function da chiamare
    if ($options[2] != '' && is_numeric($options[1])) {
        $opt = explode("_", $tagname);
    
        $rs = $connh->Execute("SELECT * FROM datatonic_conf WHERE id='".$options[1]."'");
        if ($rs->RecordCount() > 0) {
            $datatonic_conf = $rs->fields;
    
            require_once "adm/lib/nusoap.php";
        
            $serverpath = $datatonic_conf['serverpath']."datatonic_linear_function.php";

            $client = new soapclient0($serverpath);
            if ($fault = $client->getError())
                $ret = "<span>ERROR DT CLIENT: <strong>".$fault."</strong></span>";

            $param = array();
            $param['datatonic_username'] = $datatonic_conf['username'];
            $param['datatonic_password'] = $datatonic_conf['password'];
            $param['func_name'] = $options[2];

            $param['param'] = array();
            for ($i = 3; $i <= count($options); $i++) {
                if (trim($options[$i]) != '') {
                    if (strstr($options[$i], 'frompost')) {
                        $param['param'][$options[++$i]] = is_array($_POST[$options[$i]]) ? serialize($_POST[$options[$i]]) : $_POST[$options[$i]];
                    }
                    else if (strstr($options[$i], 'fromsession')) {
                        $sessval = $_SESSION['PRISCILLA_SESSION']->getvalue($options[++$i]);
                        $param['param'][$options[$i]] = is_array($sessval) ? serialize($sessval) : $sessval;
                    }
                    else {
			$param['param'][$options[$i]] = $options[++$i];

		    }			
                }
            }


            $ret = $client->call("datatonic_linear_function", $param);
            if ($fault = $client->getError())
                $ret = "<span>ERROR CALLING DT FUNCTION: <strong>".$fault."</strong></span>";

            unset($client);

            if (is_string($ret)) $subst = $ret;
            else $subst = '';

        }
    }

return $subst;
}

function priscilladatatonicsisfericerca($connh, $row, &$PRISCILLA_SESSION, $options) {

    $id_op = $options["id"];

    $rsconf = $connh->Execute("SELECT * FROM datatonic_conf WHERE id='". $id_op ."'");
    
    $sisfe_connh = &ADONewConnection("mysqlt");
    
    $sisfe_connh->Connect(
        'localhost',
        $rsconf->fields['username'],
        $rsconf->fields['password'],
        'dt_sisfe'
    );

    $ret = "<form method=\"post\" action=\"\" id=\"form-ricerca\">
<fieldset>
    <legend>Cerca all'interno delle schede</legend>
    <label for=\"ricerca-libera\">Ricerca libera</label><br />
    <input type=\"text\" name=\"ricerca[libera]\" id=\"ricerca-libera\" value=\"".$_POST['ricerca']['libera']."\"/><br />
    <label for=\"ricerca-tematica\">Tematica</label><br />
    <select id=\"ricerca-tematica\" name=\"ricerca[tematica]\">\n<option value=\"\"></option>";
    $rst = $sisfe_connh->Execute("SELECT DISTINCT t.tematica, t.codicetematica FROM sisfe_metadati m LEFT JOIN sisfe_tematiche t ON m.tematica=t.codicetematica");
    while (!$rst->EOF) {
        $selected = "";
        if ($_POST['ricerca']['tematica'] == $rst->fields['codicetematica'])
            $selected = "selected=\"selected\"";
        $ret .= "<option value=\"".$rst->fields['codicetematica']."\" $selected>".$rst->fields['tematica']."</option>\n";
        $rst->MoveNext();
    }
    $ret .= "
    </select><br />
    <label for=\"ricerca-ambito\">Ambito</label><br />
    <select name=\"ricerca[dato]\" id=\"ricerca-ambito\">\n<option value=\"\"></option>";
    if ($_POST['ricerca']['tematica'] != '') {
        $rsa = $sisfe_connh->Execute("SELECT DISTINCT ambito FROM sisfe_tematiche WHERE codicetematica='".$_POST['ricerca']['tematica']."'");
        while (!$rsa->EOF) {
            $selected = "";
            if ($_POST['ricerca']['dato'] == addslashes($rsa->fields['ambito']))
                $selected = "selected=\"selected\"";
            $ret .= "<option value=\"".$rsa->fields['ambito']."\" $selected>".$rsa->fields['ambito']."</option>\n";
            $rsa->MoveNext();
        }
    }
    $ret .= "</select><br />
    <label for=\"ricerca-titolo\">Titolo</label><br />
    <input type=\"text\" name=\"ricerca[titolo]\" id=\"ricerca-titolo\" value=\"".$_POST['ricerca']['titolo']."\"/><br />
    <label for=\"ricerca-definizione\">Definizione</label><br />
    <input type=\"text\" name=\"ricerca[definizione]\" id=\"ricerca-definizione\" value=\"".$_POST['ricerca']['definizione']."\"/><br />
    <label for=\"ricerca-ufficio\">Ente/Ufficio</label><br />
    <select id=\"ricerca-ufficio\" name=\"ricerca[ufficio]\">\n<option value=\"\"></option>";
    $rsu = $sisfe_connh->Execute("SELECT DISTINCT e.* FROM sisfe_metadati m LEFT JOIN sisfe_entiuffici e ON m.ufficio=e.id WHERE e.eliminato!=1");
    while (!$rsu->EOF) {
        $selected = "";
        if ($_POST['ricerca']['ufficio'] == $rsu->fields['id'])
            $selected = "selected=\"selected\"";
        $ret .= "<option value=\"".$rsu->fields['id']."\" $selected>".$rsu->fields['ente_ufficio']."</option>\n";
        $rsu->MoveNext();
    }
    $ret .= "</select><br />
    <label for=\"ricerca-id\">Id</label><br />
    <input type=\"text\" name=\"ricerca[id]\" id=\"ricerca-id\" value=\"".$_POST['ricerca']['id']."\" size=\"4\" /><br />";
    $ret .= "<input type=\"submit\" value=\"Cerca\" /> <input type=\"button\" value=\"Svuota\" onclick=\"resetform()\"/></fieldset>
</form>";

    if (is_array($_POST['ricerca'])) {

    $like_search = array('titolo', 'definizione');
    $where = '';
    if (is_numeric($_POST['ricerca']['id']) && $_POST['ricerca']['id'] > 0)
        $where = "id='".$_POST['ricerca']['id']."'";
    else {
        foreach ($_POST['ricerca'] as $field => $value) {
            if ($field == 'libera' && $value != '') {
                $where = "(unitamisura LIKE '%".addslashes(trim($value))."%' or  classificazione LIKE '%".addslashes(trim($value))."%' or periodicita LIKE '%".addslashes(trim($value))."%' or fonte LIKE '%".addslashes(trim($value))."%' or ubicazione  LIKE '%".addslashes(trim($value))."%' or metodicalcolo LIKE '%".addslashes(trim($value))."%' or  errorecalcolo LIKE '%".addslashes(trim($value))."%' or errorerappr LIKE '%".addslashes(trim($value))."%' or ufficio LIKE '%".addslashes(trim($value))."%' or riferimentinorm LIKE '%".addslashes(trim($value))."%' or mnote LIKE '%".addslashes(trim($value))."%' or persona_riferimento LIKE '%".addslashes(trim($value))."%' or referente LIKE '%".addslashes(trim($value))."%' or titolo LIKE '%".addslashes(trim($value))."%' or definizione LIKE '%".addslashes(trim($value))."%') and ";
            }
            else if (trim($value) != '') {
                if (in_array($field, $like_search))
                    $where .= "`".$field."` LIKE '%".addslashes(trim($value))."%' and ";
                else
                    $where .= "`".$field."`='".trim($value)."' and ";
            }
        }
    }
    if ($where != '') {
        $where = substr($where, 0, -4);

        $rs = $sisfe_connh->Execute("SELECT * FROM sisfe_metadati WHERE ".$where." ORDER BY tematica, dato");    

        if ($rs->RecordCount() < 1)
            $ret .= '<p class="search-alert">Non sono stati trovati risultati</p>';
        else
            $ret .= '<p class="search-success">Numero di risultati trovati '.$rs->RecordCount().'</p><ul id="risultati-ricerca-metadati">';

        if ($rs->RecordCount() > 0)
            while (!$rs->EOF) {
                $row = $rs->fields;

                $ret .= "<li>
                        <a href=\"#\" onclick=\"mostraScheda(".$row['id'].")\" title=\"mostra la scheda\"><strong>".$row['titolo']."</strong></a>
                        <p>".$row['definizione']."</p>
                    </li>";

                $rs->MoveNext();
            }

        $ret .= "</ul>";

        }
    }

    $subst = $ret;

return $subst;
}

?>
