<?
// $Id: swaplang.lib.php 5140 2012-04-11 15:02:10Z calicant $

require_once PRISCILLA_LOCAL_PATH."modules/swaplang/inc/config.inc.php";

// ritorna in base a lingua passata di 3 caratteri nome lingua completo
function getlangname($l) {
    switch ($l) {
        case 'ita':
        $langname = 'italiano';
        break;
        case 'eng':
        $langname = 'english';
        break;
        case 'esp':
        $langname = 'espanol';
        break;
        case 'fra':
        $langname = 'français';
        break;
        case 'deu':
        $langname = 'deutsch';
        break;
        default:
        $langname = $l;
    }
    
    return $langname;
}

function detectUserLang() {
    preg_match("/^([A-Z]{2})(-[A-Z]{2})?/", strtoupper($_SERVER['HTTP_ACCEPT_LANGUAGE']), $regs);
    return substr($regs[1], 0, 2);
}

// dato una tabella di contenuto e la struttura delle lingue in uso (ottenibile con getLanguagesStruct)
// ritorna la lingua di 3 char attualmente in uso
function getlLangFromContent($content, $langStruct) {
    if (in_array($content, array_keys($langStruct)))
        return SWAPLANG_DEFAULT_LANG;
    else {
        foreach ($langStruct as $origc => $a) {
            foreach ($a as $langc => $lang) {
                if ($langc == $content)
                    return $lang;
            }
        }
    }
}

// ritorna md5 di tutti i valori per un array
function md5content($a) {
    $s = '';
    foreach ($a as $k => $v) {
        if ($v != 'NULL') $s .= $v;
    }

    return md5($s);
}

// prende per riferimento due array:
// langlabels conterrà tutte le etichette di lingua usate nel sito
// langs contiene una array associativo bidimensionale:
// array(nometabella di contenuto originale => array(nometabella di lingua => lingua in 3 char))
function getLanguagesStruct(&$langlabels, &$langs) {
    $langlabels = array();
    $langs = array();

    $conn = $_SESSION['PRISCILLA_SESSION']->getvalue('connh');
    $tables = $conn->MetaTables();
    $rscontents = $conn->Execute("SELECT DISTINCT(contenuto) FROM node WHERE contenuto LIKE 'content_%'");

    while (!$rscontents->EOF) {
        foreach ($tables as $tbname) {
            if (strstr($tbname, $rscontents->fields['contenuto'])) {
                $table = substr($tbname, 8);
                $tablesplit = explode('lang', $table);
                if (strlen($tablesplit[1]) == 3) {
                    $langs['content_'.substr($tablesplit[0], 0, -1)][$tbname] = $tablesplit[1];
                    if (!in_array($tablesplit[1], $langlabels))
                        $langlabels[] = $tablesplit[1];
                }
            }
        }
        $rscontents->MoveNext();
    }

    // creo struttura anche per contenuti di catalogo
    foreach ($langlabels as $lang) {
        if (in_array('catalogo_content_lang'.$lang, $tables))
            $langs['catalogo_content']['catalogo_content_lang'.$lang] = $lang;
    }
}

?>