<?php

function thebanner_get_size_from_type ($connh, $type, &$w, &$h) {

    $w = 0;
    $h = 0;

    $dbquery = "SELECT * FROM " . THEBANNER_TABLE_SIZE . " WHERE id = '" . $type . "'";
    $tb_rowrs = $connh->Execute($dbquery) or die("ERROR: $dbquery<br />" . $connh->ErrorMsg());
    if ($tb_rowrs->RecordCount() > 0) {
    $w = $tb_rowrs->fields('w'); 
    $h = $tb_rowrs->fields('h');    
    return $w . 'x' . $h;    
    }
    else return "UNKNOWN";
} // get_size_from_type

function thebanner_map_file_to_extension ($code) {

    $rext[-1] = 'UNKNOWN';
    $rext[1] = 'gif';
    $rext[2] = 'jpg';
    $rext[3] = 'png';
    $rext[4] = 'swf';
    $rext[13] = 'swf';
   
    $sres = $rext[$code];
    if (trim($sres) == '')
    $sres = $rext[-1];
 
return $sres;
} // map_file_to_extension

function thebanner_linear_output ($connh, $groupid, $banner_data_dir, $banner_inc_dir, $showdesc = false) {

$counter_click_script = 'tbl.php';

    $dbquery = "SELECT * FROM " . THEBANNER_TABLE_RELATIONS . ", " . THEBANNER_TABLE_LIST.
    " WHERE " . THEBANNER_TABLE_RELATIONS . ".idgroup ='" . $groupid . "' AND " .
    THEBANNER_TABLE_RELATIONS . ".idbanner = " . THEBANNER_TABLE_LIST . ".id" .
    " ORDER BY RAND() LIMIT 1";

    $tb_rowrs = $connh->Execute($dbquery) or die("ERROR: $dbquery<br />" . $connh->ErrorMsg());


    if ($tb_rowrs->RecordCount()) {
    $tb_row = $tb_rowrs->fields;

    $bannerfile =
        $banner_data_dir . '/' .
        thebanner_get_size_from_type($connh, $tb_row['sizetype'], $out_w, $out_h) .'/' .
        $tb_row['id'] . '-' .
        $tb_row['random'] . '.' . thebanner_map_file_to_extension ($tb_row['imgtype']);

    if (is_numeric($out_w) && is_numeric($out_h))
        $sdim = " width=\"$out_w\" height=\"$out_h\"";
    else $sdim = '';

    if (trim($tb_row['alt']) != '')
        $salt = " alt=\"" . $tb_row['alt'] . "\"";
    else
        $salt = " alt=\"\"";

        if (file_exists($bannerfile) && is_readable($bannerfile)) {

        if ($tb_row['imgtype'] == 4 || $tb_row['imgtype'] == 13) {

        $include_img =
        "<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" " .
        "codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/" . 
        "swflash.cab#version=5,0,0,0\" width=\"$out_w\" height=\"$out_h\">\n" .
        "<param name=movie value=\"$bannerfile\">\n" .
        "<embed src=\"$bannerfile\" " .
        "pluginspage=\"http://www.macromedia.com/shockwave/download/index.cgi?" .
        "P1_Prod_Version=ShockwaveFlash\" " .
        "type=\"application/x-shockwave-flash\" width=\"$out_w\" height=\"$out_h\">\n" .
        "</embed>\n" .
        "</object>\n";
        }
        else $include_img =  "<img" . $salt . $sdim . " style=\"margin-bottom:0;margin-top:0;margin-left:0;margin-right:0;border:0px;\" src=\"" . $bannerfile . "\" />\n";
    }
    else return '';

    if (trim($tb_row['url'] != '') && strtolower(trim($tb_row['url'])) != 'http://' ) {
        
        if (trim($tb_row['description']) != '')
            $url_title = $tb_row['description'];
        else
            $url_title = $tb_row['url'];

        if ($GLOBALS[dumping])
        $link_begin =
        "<a title=\"" . $url_title . "\" href=\"" .
                $tb_row['url'] .
                "\">";
        else
        $link_begin =
        "<a title=\"" . $url_title  . "\" href=\"" .
        $banner_inc_dir . "/" . $counter_click_script .
        "?idb=" . $tb_row['id'] . "&amp;code=" . $tb_row['random'] .
        "\">";

        $link_end = "</a>";

    } else {
        $link_begin = '';
        $link_end = '';
    }

    $sres  =
        $link_begin .
        $include_img .
        $link_end . "\n";

        if ($showdesc)
            $sres .= "\n<br /><div class=\"thebannerDesc\">" . $tb_row['description'] . "</div>\n";

        return $sres;               
    } // if ($tb_rowrs->RecordCount()

return '';
} // thebanner_linear_output



/**
 ** tag: thebanner
 ** desc: inserisce un gruppo di banner, fornendone l'id del gruppo
 ** opt: groupid obbligatorio, id del gruppo di banner
 ** opt: showdesc (yes|no) mostra anche la descrizione dei banner (default: no)
 ** eg: inserisce il catalogo avente id di gruppo 7
 ** eg: {thebanner groupid="7"}
 **/
function thebanner ($connh, $row, &$PRISCILLA_SESSION, $options) {


    $groupid = $options["groupid"];

    if (trim($options["showdesc"]) == "yes")
        $showdesc = true;
    else
        $showdesc = false;

    $thebanner_data_dir = "./thebanner";
    $thebanner_inc_dir = "./modules/thebanner/inc";
    require($thebanner_inc_dir . '/' . "db_config.inc.php");
//    require($thebanner_inc_dir . '/' . "thebanner_linear.inc.php");

    $subst = thebanner_linear_output($connh, $groupid, $thebanner_data_dir, $thebanner_inc_dir, $showdesc);


return $subst;
}

?>
